commit 30d665d2ae90da5d88ffb35fba4512d0490420ef
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 4 06:47:24 2024 -0500

    alpha tbb_hardcoded_version="13.5a5"

commit 434402e7db461f47e778176b93bd16d5e6471421
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 22 19:58:23 2024 +0000

    bumped changelog version

commit 8de86b2c9c8cb309eb8dc291918b1212c0e3834c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 22 14:54:53 2024 -0500

    debugging

commit 27405eba2c8ae5852adcf473e73ebcd6118f0ff4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 22 14:53:16 2024 -0500

    output

commit cb275e54923a40599227ed9c2fd9945316738cf4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 22 19:02:06 2024 +0000

    bumped changelog version

commit 10baa9a93cbc39ba237eeb4144b05763eda33ee0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 22 13:09:29 2024 -0500

    comment

commit 65c6e48b59ef35f67e253bcc9f5a8d65cf533565
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 22 13:03:57 2024 -0500

    comment

commit 7a9318dd451a28d1e048e97740e434f73682895d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 22 13:02:27 2024 -0500

    comments

commit 5447468d290065601925dc39909567be630fdfd2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 22 13:01:24 2024 -0500

    run /usr/libexec/tb-updater/tb-permission-fix in Qubes Template and App Qube
    
    to fix potential race condition

commit 8ef96b866cf482f930374f133218aba8af81a740
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 22 12:59:46 2024 -0500

    Tor Browser permission fix: downgrade to warning if user `user` does not exist
    
    https://forums.whonix.org/t/tor-browser-permission-issue/17222/3

commit 68424750fd12b7c06902406636cf15398cf31a4b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 21 11:57:16 2024 +0000

    bumped changelog version

commit 98d10d7a3690c2c651326284b197c50b49913525
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 21 06:53:50 2024 -0500

    ```
    gpg --auto-key-locate nodefault,wkd --locate-keys torbrowser@torproject.org
    ```
    
    ```
    gpg: key 0x4E2C6E8793298290: "Tor Browser Developers (signing key) <torbrowser@torproject.org>" 1 new signature
    gpg: Total number processed: 1
    gpg:         new signatures: 1
    pub   rsa4096/0x4E2C6E8793298290 2014-12-15 [C] [expires: 2025-07-21]
          EF6E286DDA85EA2A4BA7DE684E2C6E8793298290
    uid                   [  undef ] Tor Browser Developers (signing key) <torbrowser@torproject.org>
    sub   rsa4096/0xE53D989A9E2D47BF 2021-09-17 [S] [expires: 2024-08-23]
    ```
    
    https://forums.whonix.org/t/tb-updater-gpg-download-signature-could-not-be-verified-this-key-expired/10161/13

commit 64b0f793a4a125d651b7a3b17a1c95c216d5b0ea
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Feb 20 14:48:47 2024 +0000

    bumped changelog version

commit afaff380837c591019523e762b6c5a836ed7cdde
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Feb 20 09:48:23 2024 -0500

    tbb_hardcoded_version="13.1.0"

commit 4d804e2533dea92bcfb65173f851331526cdb49e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 16 13:59:44 2024 +0000

    bumped changelog version

commit 8bcb80ca7b68b96540c1d3a0c93e79eeef63c19f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 14 09:03:45 2024 -0500

    comment

commit 0bda0248e4a69c33130f199f840ac3099b4c7175
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Feb 3 18:32:59 2024 +0000

    bumped changelog version

commit 8e80230391033133563e284534082e598e8e739f
Merge: 6cbb0ae 1dc08d7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Feb 3 13:32:30 2024 -0500

    Merge remote-tracking branch 'github-kicksecure/master'

commit 1dc08d7bcf9cb8e8c8567a2186cd52cb3de25496
Merge: 6cbb0ae 5750b3b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Feb 3 13:31:59 2024 -0500

    Merge pull request #28 from GavinPacini/feat/improved-arm64-support
    
    Improved arm64 support

commit 6cbb0ae84987b047343a8ed35199b874a4e8fc04
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Feb 3 18:28:51 2024 +0000

    bumped changelog version

commit 38a50b3cbe65496d0568bb0f8c2a725436473ce3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Feb 3 13:27:50 2024 -0500

    signed commit

commit d7e7d4cd5d22571cd165374fec6fd7520b020053
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Feb 3 12:18:22 2024 -0500

    alpha tbb_hardcoded_version="13.5a4"

commit 8bacc21cf509ca68746dfd5fed9d80a8b08ec47f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Feb 3 12:17:01 2024 -0500

    syntax fix

commit 5750b3b0ba752d39194d16d66775c17322e01e70
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Feb 3 05:06:37 2024 -0500

    syntax fix

commit c3e89712652342c44498f86ca359911ea69aac53
Merge: 30856ac b10afa2
Author: GavinPacini <gavin.pacini@gmail.com>
Date:   Sat Feb 3 02:50:50 2024 +0000

    Merge branch 'master' into feat/improved-arm64-support

commit 30856ac8be4b764d7bde05e829d66c91cc0de1be
Author: GavinPacini <gavin.pacini@gmail.com>
Date:   Sat Feb 3 02:49:02 2024 +0000

    improve arm64 support

commit b10afa2fc4fa9d36b5b47f6fbe4159b1eb90cc53
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 2 12:38:25 2024 +0000

    bumped changelog version

commit cf9a5084aea72dfa23029d4b6a452e0d1261e7be
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 2 07:32:46 2024 -0500

    usrmerge debhelper systemd Debian package maintainer scripts fix

commit b5f033752f42cbb6efc8130a07172f4401bf1d08
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jan 27 08:05:23 2024 -0500

    fail open by default inside chroot when Tor Browser cannot be installed

commit cb918328a410b837e0306964507e199db9a5a834
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 26 11:59:58 2024 +0000

    bumped changelog version

commit 994f1186c35b3b1d94c77fd47e2bd3f3958bb4e7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 26 06:12:16 2024 -0500

    output

commit 2141d114ef8947b6ae5fd345fa2b3d85ebc93b7a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 26 06:06:57 2024 -0500

    url

commit 47e7ba4d67a502ac515d794354fc1994fe09ff62
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 26 05:59:52 2024 -0500

    url

commit 9da3c01c2926a6f080648964627c8c69d4369e4a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 26 05:53:39 2024 -0500

    clarify output Kicksecure or Whonix developers

commit cb3ac283175a00b2a018cf15bb4efda7518cea37
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 24 11:38:17 2024 +0000

    bumped changelog version

commit 9d8eb49ab2e7355ccb5128e3e4e291324b4ea127
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 24 06:37:19 2024 -0500

    tbb_hardcoded_version="13.0.9"

commit 54fef4bd162cb177fe85d9e6e60a2815e780bb21
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 22 12:46:46 2024 +0000

    bumped changelog version

commit abad44050b5cdf48b0d1b4d7ce7b8a922e1cf500
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 22 07:16:13 2024 -0500

    usrmerge

commit 6bff5bb9ee9be0efe2fa420087a3ab7f122a9a74
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 30 00:42:02 2023 +0000

    bumped changelog version

commit 4ffe2bf8ace7b08fcbc0182be86b8491bcd995a0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 29 19:38:41 2023 -0500

    remove no longer required dependency on lxqt-sudo

commit 528e497e64afdc86b1fd01654a34ce106bc29a6e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 22 18:40:29 2023 +0000

    bumped changelog version

commit 30341906d4a3712fb92b9fc3270d9b8b3d1fb620
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 22 13:40:09 2023 -0500

    alpha tbb_hardcoded_version="13.5a3"

commit a17f36a169bb2206d17ceb1de261609f0cb0142c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 22 13:39:28 2023 -0500

    tbb_hardcoded_version="13.0.8"

commit 076fff4d400728ac26a56e00a677db6503974009
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 15 12:40:29 2023 +0000

    bumped changelog version

commit ad7de14c61cfae6097956bee0b3a9b18f9d50064
Merge: 8964860 62f0b61
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 15 07:32:07 2023 -0500

    Merge remote-tracking branch 'github-kicksecure/master'

commit 62f0b61654903d73a20e9251f65c63fdc30751fd
Merge: 8964860 269a6b4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 15 07:30:19 2023 -0500

    Merge pull request #26 from fyqwbdzsfjh/master
    
    Add support for Mullvad Browser

commit 269a6b4123090c2f2846a9ad94da43e5d10466ba
Author: fyqwbdzsfjh <fyqwbdzsfjh@example.invalid>
Date:   Thu Dec 14 15:09:00 2023 +0000

    make version json file's name a variable

commit bcf1671549f59458501c7776f5d6b2801dd3ec8c
Author: fyqwbdzsfjh <fyqwbdzsfjh@example.invalid>
Date:   Sun Dec 10 14:23:16 2023 +0000

    kill running browser based on a variable instead of hardcoded process name

commit 0419c20c2d71b0eb94ca9ab3159d8d12af3fa198
Author: fyqwbdzsfjh <fyqwbdzsfjh@example.invalid>
Date:   Thu Dec 7 16:33:34 2023 +0000

    construct versions file link from two new overridable variables; change mullvad-browser's install folder to mullvadbrowser instead of mb

commit 84e3e8cba5d288a1096093422a4026773b41546f
Author: fyqwbdzsfjh <fyqwbdzsfjh@example.invalid>
Date:   Tue Nov 28 20:30:37 2023 +0000

    add support for mullvad browser

commit 8964860a1fe720c71c27fc6cda61dcdffc7da4d7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 8 10:51:58 2023 +0000

    bumped changelog version

commit 02f8631212eb3913994b7067960607e831894a8e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 8 05:51:44 2023 -0500

    tbb_hardcoded_version="13.0.6"

commit cbe1c2b492b8623b37e1baa4f1c84a4d284f0b63
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 7 14:27:20 2023 +0000

    bumped changelog version

commit 2461d63eabf2209f041f9ce46aa2452ec40b0ac4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 6 02:49:16 2023 -0500

    alpha tbb_hardcoded_version="13.5a2"

commit 79cb87891af9d902c328b4bf25f4e17110ee47e2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 25 05:48:34 2023 +0000

    bumped changelog version

commit d4e1b6894e39f962aae2bd3d6e2940be351a2b63
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 25 00:47:41 2023 -0500

    comment

commit aeb8a8e84777cef54ebfcf702c82b9d91bcb115a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 25 00:46:43 2023 -0500

    fix detection of script being executed versus being sourced
    
    in case the script was run with bash -x

commit 24e643a95c38740bed14c95a778fb5e28af8128b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 24 05:33:25 2023 +0000

    bumped changelog version

commit e72e0be8b1d7812bcc00b5c105edbe3da91c2f8a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 24 00:32:18 2023 -0500

    tbb_hardcoded_version="13.0.5"

commit 8ca0f7d5626f11df85758f1a46a6528140a9b05e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 12 02:23:54 2023 +0000

    bumped changelog version

commit b50b85f5a7f0b150474e37e2aadb37e829fe6528
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 21:23:06 2023 -0500

    output

commit 506a3d07c834b4659dd83d7c45480eb94a125c32
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 21:13:43 2023 -0500

    output

commit 470fd7f266944d06140832caa1b137aa0c4f731c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 21:06:35 2023 -0500

    fixed `--resume`

commit a19cd3680462cd6525b74af9aaea6f93fff6df1e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 20:12:32 2023 -0500

    refactoring

commit 18f0939163d65e80cb6e0ba263672ee952e06bbd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 20:25:01 2023 +0000

    bumped changelog version

commit fc5473cdf0992220dc3bd78f4f548dd20146dbc3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 13:41:28 2023 -0500

    change license to AGPL-3+
    
    https://forums.whonix.org/t/license-change-to-agplv3/17455

commit a930ca161e11c8a870fd87c7804beeb1f82da661
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 10:01:18 2023 -0500

    Revert "stop using fancy curl progress bar"
    
    This reverts commit fa063d02ca2e02fdb5dc0350ffb00f32e7617595.

commit a436a9d3402f68a0a78319396e7efde85430ede7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 10:01:02 2023 -0500

    Revert "fix sigterm handling"
    
    This reverts commit f7db2b4929ae6a8c9d7b06b416b0ff4b7b95acde.

commit d4b0bc0a9e74ff565dc30296ef2b05d3f56aa6f1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 10:00:44 2023 -0500

    Revert "deprecate GUI"
    
    This reverts commit 0eee7a0be719a2f19d48ba4d738d7266fb235287.

commit 0eee7a0be719a2f19d48ba4d738d7266fb235287
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 10 06:38:40 2023 -0500

    deprecate GUI
    
    run CLI version inside terminal-emulator when using desktop shortcut

commit f7db2b4929ae6a8c9d7b06b416b0ff4b7b95acde
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 10 06:38:03 2023 -0500

    fix sigterm handling

commit fa063d02ca2e02fdb5dc0350ffb00f32e7617595
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 19:38:08 2023 -0500

    stop using fancy curl progress bar

commit b3a1439cf95259afcb016364a3c46d0c77612dbd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 5 21:16:35 2023 -0500

    bumped changelog version

commit ce025d74e7c8f2e29f13b7f1aeb6238b38226717
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 5 21:16:14 2023 -0500

    alpha tbb_hardcoded_version="13.5a1"

commit 73bc3eb77d4f303f7316ce73f5fa8eb9e5e2158f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Oct 25 17:55:53 2023 -0400

    bumped changelog version

commit 559d5f4b468946d2785d973e1fb902ca262c4277
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Oct 25 17:55:09 2023 -0400

    tbb_hardcoded_version="13.0.1"

commit b1c649d1aa5a3654da5f62a40faf7abfcee0e7bd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 21 08:07:50 2023 -0400

    bumped changelog version

commit 36bc8e5441db1779f93b878eb7c6b486142d0076
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 21 05:14:00 2023 -0400

    debugging

commit f20650f95a355d9c6fab38086bf862bb33a6b3c8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 20 12:00:54 2023 -0400

    bumped changelog version

commit 0119d7526e07f8fe75a2744cd04988bca5492e76
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 20 12:00:44 2023 -0400

    debugging

commit 1967f1af79d67ff44fa79f9ced5d3298c43cdbf4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 20 11:58:46 2023 -0400

    debugging

commit 5b96c90a1bac21e366aa62cdebb452490d4fdc14
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 20 11:47:32 2023 -0400

    bumped changelog version

commit 9e9c99dca0baea28ec718992830e317d9ec965b6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 20 11:43:07 2023 -0400

    comment

commit 51d282cbf8ab0f21eae9dfdb45baaf8b9fd7a007
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 20 11:42:16 2023 -0400

    fix

commit 5a49c69075851b4fde2bcd1bbb45bd1826ef3726
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 20 11:25:06 2023 -0400

    bumped changelog version

commit e57052c6aaecc0b2125d5f590963ce663fdeaca8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 20 11:21:00 2023 -0400

    wayland

commit 52205a12703ea6a24623c2db8654828fdb039d80
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 20 11:13:34 2023 -0400

    debugging

commit b39fd97957e69520fdf2e498c3356d218454c6f9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 20 10:54:19 2023 -0400

    bumped changelog version

commit 39bdf9f74a47a5d7edddb8c9474a448a64404290
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 20 10:54:11 2023 -0400

    debugging

commit 143b01a1c4dfe8826f92101d3f622e0bacfa2aab
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 20 10:52:47 2023 -0400

    debugging

commit e113861bc4be66910bafd63ce09074481536d36c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 20 10:37:40 2023 -0400

    allow `source`ing with nounset

commit cb9bce1ff7bb51d9ee01df6751e228d74ed061c0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 20 10:28:09 2023 -0400

    allow `source`ing update-torbrowser

commit bf78d240817204acf8ef22d95745bb6debd40758
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 20 10:24:20 2023 -0400

    debugging

commit 1fa8a1e565c21b9e2e97bc65f58197320ab44d98
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 20 10:22:05 2023 -0400

    refactoring

commit 8fd0f4fa04763da6c6ad42a81d4123b52f3ba8e7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 20 10:19:16 2023 -0400

    output

commit a6f146cd0efdb1f27cdf030cb6c4a684c85cdab7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 20 10:14:41 2023 -0400

    bumped changelog version

commit e86aac1265eb557de81b2f309827068f2dd6b607
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 20 10:10:56 2023 -0400

    debugging

commit ee52c0cd363424a1ed73988bd5f96396a07c52fd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 20 10:03:31 2023 -0400

    debugging

commit eda2306ae1608ce6c143cc2c95830d07e49a93ae
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 20 09:42:07 2023 -0400

    bumped changelog version

commit f59a4a340af2f970def21d232b133107e4508cc2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 20 09:32:07 2023 -0400

    refactoring

commit 92d9a5ef3b5f3e386a3f0eba8d66184cc54d5a0c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 20 06:50:29 2023 -0400

    bumped changelog version

commit fe145204707fd5801a7edd949f68094bda6d9fdb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 20 06:49:31 2023 -0400

    sudo

commit bb7fd58705a491c0828ffc8c543f6d6bade7f615
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 20 06:48:03 2023 -0400

    sudo

commit e0c9261787496bb5f8a1c93ad3ad7fbdbc5f9ec1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 20 06:45:58 2023 -0400

    fix chroot build issue

commit bc41ea93f475ddebfa85d371270771d73315c9e0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 20 06:43:56 2023 -0400

    fix

commit 44f55dbf315be2bb372be5300cff5c63af2dee93
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 13 12:58:50 2023 -0400

    bumped changelog version

commit 73bb567a26e915c9ee81aaf9402d30a4b8540ed7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 13 12:58:32 2023 -0400

    debugging

commit 2233490ead5ae2239052d9158ba86cb23d095608
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 13 12:57:19 2023 -0400

    fix

commit cfc8920c4bb23fb39d66e3664981943458f9aa0a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 13 12:56:55 2023 -0400

    fix

commit 6367af1a0ba86ac19ba11ce324ba37be0bde5a08
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 13 12:48:54 2023 -0400

    bumped changelog version

commit f9929cd298c347b21b0b2970b1407aec51d2e349
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 13 12:48:43 2023 -0400

    comment

commit 90e71bdc9cd236521ff6690befaac70ee699a7f2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 13 12:45:49 2023 -0400

    fix

commit 3936a08fa1a6259a08d7f80728e90e8d30713c07
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 13 01:52:18 2023 -0400

    bumped changelog version

commit 665e2aa95cabaef4e9fdf397d56fbfc2a80b21e0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 13 01:52:04 2023 -0400

    wayland

commit 82eff1cf1c4e3eb9bbadbaccb915e2db0cc527b5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 13 01:35:34 2023 -0400

    bumped changelog version

commit d007cadb2e5357b3baabc50a7d3ac4f6173090c2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 13 01:34:49 2023 -0400

    update links due to upstream changes

commit 658fcfc844816f2f03f1b94b8caeea7f2ddc9a54
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 13 01:28:01 2023 -0400

    tbb_hardcoded_version="13.0"

commit c739e666fc8f8442bd610dbee0f344b93ad3d309
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Oct 10 04:22:51 2023 -0400

    bumped changelog version

commit 39853c02d6126a864beaef0c1ab97dba575aa00d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Oct 10 04:21:09 2023 -0400

    fix

commit a72ec30a68f11e332d324d782814fee7a32a62c9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Oct 10 04:13:51 2023 -0400

    refactoring

commit 1dbed4b7febb5ea80cdd70cfacab234fee48b33f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Oct 10 04:10:23 2023 -0400

    refactoring

commit f494e47b12daa59593fe50076216c37d9ef091ce
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Oct 10 04:09:10 2023 -0400

    code simplification

commit 869f0fdc7bcbc8138b50d18491bf3cdd0e2a005f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Oct 10 04:04:21 2023 -0400

    bumped changelog version

commit eb10075c888fe98b19b154c7f495d03ec58c7b84
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Oct 10 04:03:23 2023 -0400

    wayland

commit 24c59945dbe16c4adf72ebc68cc4c8714c1e20f0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 9 14:19:34 2023 -0400

    bumped changelog version

commit 967a04f40aeef803c833587c981d52b0783e67c1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 9 14:19:09 2023 -0400

    wayland

commit 1ded3d4871152f8ba1f2c52971911989f479d0c7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 9 13:11:19 2023 -0400

    output

commit 483fd35edbc5c69b8e8e83920423f1d0b37a9131
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 9 13:00:47 2023 -0400

    output

commit 1f3e5ab6f971e8346c0dd2220f4ae511dbbecde3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 9 10:19:04 2023 -0400

    bumped changelog version

commit 578e8c6e29846599da7f0a973d05151b36fd4a37
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 9 10:16:46 2023 -0400

    wayland

commit bf73852c78e9e578670d7f3de0214d19e7c6b265
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 06:31:40 2023 -0400

    bumped changelog version

commit 425209522fc746615a74152c3dc99cfea42dade4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 04:33:59 2023 -0400

    wayland

commit d1061b85437cb21f3a82e53d1f752123f801e95a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 7 04:12:47 2023 -0400

    bumped changelog version

commit e51dc80387b2eece709fb6fe5bd636b21cf3067a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 7 03:52:21 2023 -0400

    fix, more robust child process killing

commit f1e74245ba1688ef091864407d3b41a6bce88b13
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 7 03:35:45 2023 -0400

    output

commit 356b61cc6560887a3392960767397655eb323d4e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 7 03:31:52 2023 -0400

    fix, make sure all parent processes are killed when signal sigterm is received

commit aedf8d9e7bc3c01af2fcd5f0648d68631b4fb508
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 7 02:00:29 2023 -0400

    output

commit f689dfbb0e98430a8913a5379e9252fd830d4da8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 7 01:09:27 2023 -0400

    output

commit 8ed831f75027ee613c672d0b3ba29df14d33cec5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 7 01:06:49 2023 -0400

    re-enable use of curl-prgrs

commit abc30f3e0dd2293f81ef4842bb087411750173d1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 7 01:05:13 2023 -0400

    output

commit 5aecbb51362f2a5b3a1f9fe60e6b22552113f3cf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 5 00:24:14 2023 -0400

    bumped changelog version

commit ff39ef291a139c96ace956a93603dda12279ac1d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 5 00:23:19 2023 -0400

    debug download issue
    
    https://github.com/QubesOS/updates-status/issues/4083

commit 6b9574be8aaaf9833917229e52d8a7503409baa1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Oct 4 05:40:42 2023 -0400

    comment

commit adc569ac9e134c5e2a53adacac9b7b6f19c9c8b2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 1 08:23:37 2023 -0400

    bumped changelog version

commit f800d53a5e62cd7f90d4e5c0a0ab6d8933982db1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 1 08:21:38 2023 -0400

    alpha tbb_hardcoded_version="13.0a6"

commit 323a581f1020363f0b4dc95a9b7e5f402c962773
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 1 08:21:13 2023 -0400

    tbb_hardcoded_version="12.5.6"

commit e24f524a96972413bd7442a8969baeaf0161144f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 26 19:51:03 2023 -0400

    bumped changelog version

commit 829fa48abc805b231bf5bcaff171396123460c79
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 26 19:49:49 2023 -0400

    tbb_hardcoded_version="12.5.5"

commit b22d267b1b63c4a1b55453a3770564f0bb80de00
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 25 12:10:29 2023 -0400

    bumped changelog version

commit 90d36dd9418aaa14ea83d50ef214fafbc59c94fc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 25 12:10:04 2023 -0400

    alpha tbb_hardcoded_version="13.0a5"

commit 45e90afcc67508212ae7a29e19674fb4f48112af
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Sep 24 11:21:49 2023 -0400

    bumped changelog version

commit 164db5a8add0e3b827376b166bda61b260c137b7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Sep 24 11:15:59 2023 -0400

    update expired Tor Browser upstream signing key
    
    https://forums.whonix.org/t/tb-updater-gpg-download-signature-could-not-be-verified-this-key-expired/10161/4
    
    https://web.archive.org/web/20230924151659/https://gitlab.torproject.org/tpo/tpa/team/-/issues/41333
    
    https://web.archive.org/web/20230924151649/https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/issues/40957
    
    https://web.archive.org/web/20230924151820/https://people.torproject.org/~boklm/tmp/_torbrowser_extended_2023.asc

commit 1692737df232cb950cf46c18da67d0a812fffe3c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Sep 15 04:20:40 2023 -0400

    bumped changelog version

commit b2274e4ba77047dc9ae0a4d008c97f92c59f904f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Sep 15 04:20:10 2023 -0400

    alpha tbb_hardcoded_version="13.0a4"

commit cc085393af2113a91d9dd2c490cd00cc5f3afc95
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Sep 15 04:19:37 2023 -0400

    tbb_hardcoded_version="12.5.4"

commit 0d797d2a7e519f31b0cd8f75cef334f8aed927d3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 29 18:25:57 2023 -0400

    bumped changelog version

commit 76703da101f404c9ca9c0adf1c225adbae03f250
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 29 18:24:29 2023 -0400

    tbb_hardcoded_version="12.5.3"

commit 8ba4e8ae96dacf8c580862e4772cd1e46a888f8d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 24 08:27:08 2023 -0400

    bumped changelog version

commit 8687c39ffe585168c9a63407ccd54c6e7b39a70f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 24 08:20:41 2023 -0400

    alpha tbb_hardcoded_version="13.0a3"

commit 4db31d124b9031956abf27bb025572383b9e4566
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 24 08:17:42 2023 -0400

    upstream link changes for Tor Browser alpha fix part 2/2
    
    Thanks for @pgerber for the report and helping with this!
    
    https://github.com/Kicksecure/tb-updater/pull/22

commit b980d00215664d14f0fbd4246a489ef56aa54f66
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 24 08:16:13 2023 -0400

    refactoring

commit c34b02cb3db4dccc9559b5eeee1574bb1f44de3f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 24 08:15:13 2023 -0400

    refactoring

commit 873a9caaaa0d7c41280efe19483ad3d63963dd8f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 24 08:14:37 2023 -0400

    genmkfile manpages

commit 35a1772241cdde0b492aa4d9a67c58731e329cb1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 24 08:14:00 2023 -0400

    deprecate TB_LANG since no longer required

commit d18084f8c755edf0a9a961bff27209c40594a5da
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 24 08:11:36 2023 -0400

    remove `--language` because no longer needed
    
    since all Tor Browser downloads support all languages for a while now

commit 24e13eae678798b43289972de10f2cb97e553469
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 24 08:08:22 2023 -0400

    upstream link changes for Tor Browser alpha fix part 1/2
    
    Thanks for @pgerber for the report and helping with this!
    
    https://github.com/Kicksecure/tb-updater/pull/22

commit b8c36342d953a9cfb1932c1c3e1df548913a53d1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 24 08:01:41 2023 -0400

    comments to prepare for upstream link changes
    
    https://github.com/Kicksecure/tb-updater/pull/22

commit 1151dc456f99e7a86649914bc03639ecf3bd5589
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 24 08:00:35 2023 -0400

    refactoring
    
    https://github.com/Kicksecure/tb-updater/pull/22

commit 46a7d6c21488c5aa808e25862a00e9b6cba5f645
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 16 05:53:20 2023 -0400

    bumped changelog version

commit 50b75845f07624f0ef0b112813e3f87caf1fa2ff
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 16 05:51:27 2023 -0400

    alpha tbb_hardcoded_version="13.0a2"

commit 4fcbb437a2d1acb5f795c1f3b4b60be901c44920
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 16 05:27:33 2023 -0400

    skip connectivity test for arm64
    
    due to unreported sourceforge blocking Tor issue
    
    https://github.com/Kicksecure/tb-updater/issues/21

commit 7a53c2fcbae3fb01d2036034fcb541c7fe58fa4f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 4 14:06:01 2023 -0400

    bumped changelog version

commit b4592d456784c91c4cec817727cd4613993c525e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 4 13:41:25 2023 -0400

    alpha tbb_hardcoded_version="13.0a1"

commit 6f36b7231f3ccda70545e2ee11fe75b42af00eb0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 4 13:40:46 2023 -0400

    tbb_hardcoded_version="12.5.2"

commit dc4b1167a7ba65a9ea0ca8c12696f0b2309de9d2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 24 17:09:23 2023 -0400

    bumped changelog version

commit a9375f89d96dc592c8fdde3ed8ec2e537672de86
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 24 17:07:58 2023 -0400

    update Tor Browser arm64 maintainer signing key

commit c21a427c431f7b687346eb1b2e23d5968915725d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 17 11:50:13 2023 -0400

    bumped changelog version

commit e28a9607973f366e1e6ef4035ca92d79b6f16c76
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 17 11:19:54 2023 -0400

    Kicksecure

commit 391b83f6178576b33b85a721d2cb7464916a9c48
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 17 11:11:56 2023 -0400

    Kicksecure

commit eee7cbdbad2be9d46492c4bf372c16086a51dcc7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 5 09:34:32 2023 -0400

    bumped changelog version

commit 9bb13e0ee978769ef68b1910c893f297494fca36
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 5 09:29:21 2023 -0400

    tbb_hardcoded_version="12.5.1"

commit 95555a79aa49897c4f8d5ad4e6663b9c504d4a17
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 23 09:58:36 2023 +0000

    bumped changelog version

commit 782c9eae3ef932275e0e876f1fbcd83e845cc41a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 23 09:58:19 2023 +0000

    tbb_hardcoded_version="12.5"

commit 1537cbc9fc032700163a98562c351b5458bdf2b5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 10:04:09 2023 +0000

    bumped changelog version

commit 891ab460edb98a044d1119f441619e427f62968f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 09:46:58 2023 +0000

    bookworm

commit 9d5c24a10a38553bcec6b4994844fd00c37bc866
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 09:38:43 2023 +0000

    bumped changelog version

commit 876a032e4f04cab0f0d6e6f6d392efe6992ea7b6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 09:11:32 2023 +0000

    bookworm

commit 6d66831da7df9ad17a70ef27cc08c1fe425325ba
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 11:10:29 2023 +0000

    bumped changelog version

commit 55b985dba7dd52b789fbb22284c9eb3aab207c38
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 10:49:06 2023 +0000

    readme

commit 8ba035b3aa87095651558ec5004390b977250491
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 15 17:06:23 2023 +0000

    bumped changelog version

commit f343bade6bfe44410cea39fe024fbd82e5a3e31c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 14 13:14:48 2023 +0000

    copyright

commit 86a7946d64ff1a734928d0244e09f2aa116f1de9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 14 10:00:30 2023 +0000

    bumped changelog version

commit 2e709f346e005d459d81009877a406f78361768a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 13 08:45:31 2023 +0000

    bookworm

commit 5a21b4abf6e2b0cb347334ac458f37e65db5a014
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 18:05:48 2023 +0000

    bumped changelog version

commit 1920eedd63a8358a871ff082a1e3594b4b302a39
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 16:22:33 2023 +0000

    Standards-Version: 4.6.1.0

commit 71d21eccf4e23fb90b8f93d742d3a9bb86007a07
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 15:34:20 2023 +0000

    bumped changelog version

commit c4d34e77c5fbb0f6e579c0b12961ef63de0399f1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 14:52:02 2023 +0000

    update copyright year

commit 6d3e3a98e6b9361f5245faafb689ccf98bff4781
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 14:48:04 2023 +0000

    abolish /rw/config parsing
    (Does not influence Qubes specific /rw/config parsing.)

commit 13d4282ba4046a43c27b667afd724eb93b9749b4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 14:42:23 2023 +0000

    alpha tbb_hardcoded_version="12.5a7"

commit cadb056149414f79b65c7bf55435d5faafbdd276
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 8 21:32:03 2023 +0000

    bumped changelog version

commit 2378d32983d97326b0979668ece72cef5fff85f9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 8 21:26:44 2023 +0000

    tbb_hardcoded_version="12.0.7"

commit 3d8c896d0076e322ffaf4097a0323b82c62e349e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 28 12:38:00 2023 +0000

    bumped changelog version

commit ca88646bd1e67c81e0cabfe77f6fe93dec8d3cf8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 28 12:37:43 2023 +0000

    alpha tbb_hardcoded_version="12.5a6"

commit 5e528ccf14da654aab6129c869cd55e806926974
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 19 09:28:24 2023 +0000

    bumped changelog version

commit 3bbca4fb6c09378033bffb668fdab5f9bcbbb1ec
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 19 09:26:24 2023 +0000

    tbb_hardcoded_version="12.0.6"

commit 5e5626162f1cae857e4e6cd84a2d8d951592c308
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 5 14:00:28 2023 +0000

    bumped changelog version

commit d5371a620cdcc8daefdc7cde4be9f0e6b388c142
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 5 14:00:13 2023 +0000

    alpha tbb_hardcoded_version="12.5a5"

commit 0ca734b27b3161b341a7456c29d66446e481b53d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 5 13:58:54 2023 +0000

    tbb_hardcoded_version="12.0.5"

commit c6ec228dc938d3adb07774ec0f80d5caee67be2e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 19 17:57:42 2023 -0400

    bumped changelog version

commit 08d6c36d9f94b5e46fdad030a6ecc3100566427a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 19 17:57:20 2023 -0400

    tbb_hardcoded_version="12.0.4"

commit 6eac237254cd1a680db6e314fe16fe5ffa5be300
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 22 08:47:27 2023 -0500

    bumped changelog version

commit e5e921d1026f0ad397eb9c0c1d71be2676010acf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 22 08:47:01 2023 -0500

    alpha tbb_hardcoded_version="12.5a3"

commit 14e4e1901a2e8fd669c4cfc8837a9feec4eba4c1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 16 05:52:27 2023 -0500

    bumped changelog version

commit ded2989cec763817d921e14393d3fd04a402e635
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 16 04:28:19 2023 -0500

    tbb_hardcoded_version="12.0.3"

commit cda3c431ba81a9199cda8e799649bec438901481
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 30 05:59:19 2023 -0500

    bumped changelog version

commit d8047b1e4c437e1a18604a80563856ff3f0525d3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 30 05:56:43 2023 -0500

    alpha tbb_hardcoded_version="12.5a2"

commit 61f0ec654830ff22296a7b2a7ecfd9014cb41102
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 20 12:21:16 2023 -0500

    bumped changelog version

commit 60b87235b583ec20481a753e926700f955cc823d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 20 12:20:12 2023 -0500

    tbb_hardcoded_version="12.0.2"

commit c680b5b030fb3024e0438dd946486d5c89301211
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 20 10:48:37 2022 -0500

    bumped changelog version

commit d8aeff8887097345a9219c6eec03e1ce908da026
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 20 10:47:54 2022 -0500

    tbb_hardcoded_version="12.0.1"

commit eb7e5bbabebf97fd0cb638daff92c0904bdd10b8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 8 10:26:58 2022 -0500

    bumped changelog version

commit f6aaff346347d7b939bf3e98eb687a9a8ed2d30c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 8 10:21:47 2022 -0500

    tbb_hardcoded_version="12.0"

commit 1f42ab269a2bb4a87c88bd6fddc52c3d6815c574
Merge: 5e44121 cc090f2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 8 10:21:02 2022 -0500

    Merge remote-tracking branch 'github-kicksecure/master'

commit cc090f22f496e91baf0f41f9aa9907dcd332301d
Merge: 5e44121 d68336f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 8 10:17:52 2022 -0500

    Merge pull request #20 from andrea-varesio/patch-1
    
    Change min $tbb_version for TB_LANG="ALL"

commit d68336f6d3e989f664eda928981338d2afc4aa76
Author: Andrea Varesio <75442907+andrea-varesio@users.noreply.github.com>
Date:   Thu Dec 8 08:53:22 2022 +0000

    Change min $tbb_version for TB_LANG="ALL"
    
    This resolves curl not finding packages ending with "en-US" since new packages use "ALL" instead (and versions < 12.0a4 no longer seem to be available): https://dist.torproject.org/torbrowser/12.0/

commit 5e441214d7806bcd67bf2904fa30b9f1f272f637
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 3 11:59:26 2022 -0500

    bumped changelog version

commit 408d45198ab73fc870da795aee71624d83c0c3cc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 3 11:58:46 2022 -0500

    alpha tbb_hardcoded_version="12.0a5"

commit aaa66d9e00f4930c4166531dedd7f6dd5d5b6b34
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 23 00:26:23 2022 -0500

    bumped changelog version

commit 676cd897d2a7bb270b9eb096fdd7bb53a4645df3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 23 00:26:04 2022 -0500

    tbb_hardcoded_version="11.5.8"

commit 100f03c2c2cd77ef72afa2c90d836827a6313ebc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 17 10:29:05 2022 -0500

    bumped changelog version

commit b3ee7034e331930f46e76c47bba60d191a829b9a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 17 10:28:19 2022 -0500

    tbb_hardcoded_version="11.5.7"

commit cea5e2d91223efe203522050ed5960bbb1a3c202
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 3 14:17:52 2022 -0400

    bumped changelog version

commit e85e4166cc56e0af1c79b7a3e03d3a9916caff98
Merge: 4bde4ef bfa3eb5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 3 14:17:33 2022 -0400

    Merge remote-tracking branch 'github-kicksecure/master'

commit bfa3eb5e3dec066a152c36ce377a7fe97c658807
Merge: 4bde4ef a5e6876
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 3 14:16:53 2022 -0400

    Merge pull request #19 from pgerber/multi-lang
    
    Make update-torbrowser work with new multi-lang builds

commit 4bde4ef450859ece8e7375af178bb902440303db
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 2 13:19:02 2022 -0400

    bumped changelog version

commit 7a5da82d21cd46dc16aad4787b3b7bd3cc1b9c57
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 2 13:09:14 2022 -0400

    alpha tbb_hardcoded_version="12.0a4"

commit a5e6876e6ef10a461071d942beec10d716985144
Author: Peter Gerber <peter@arbitrary.ch>
Date:   Mon Oct 31 21:53:57 2022 +0000

    Make update-torbrowser work with new multi-lang builds
    
    As of v12.0a4 Tor Browser is shipped as a multi-language archive
    and language-specific archives are no longer available. This
    patch makes this new multi-lang version install properly but does
    not handle starting Tor Browser with the correct locale.
    
    I'm not entirely sure how the locale should be handled. Is it
    good enough to just use the system language (which Tor Browser
    now does by default) or should some other solution be used? If
    the system language is good enough, I'd suggest just merging
    this change as is and once v12 stable is released TB_LANG
    support can be removed.

commit 7332788e585ac65e641596db76e5e7b1a659cdf9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 29 13:54:47 2022 +0000

    bumped changelog version

commit c2a313d3824849baff66b2fafff990054869fe36
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 29 09:48:48 2022 -0400

    tbb_hardcoded_version="11.5.6"

commit d60532a6a4957a7c49fbd46cdc7e845694411eb9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Oct 26 05:48:28 2022 -0400

    bumped changelog version

commit aed8d355bda29bf8f4e73dea01f4e90780873efe
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Oct 26 05:48:03 2022 -0400

    tbb_hardcoded_version="11.5.5"

commit 6973cca80c238c4e6583644d081dee70c322c7a5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 15 09:00:04 2022 -0400

    bumped changelog version

commit 2293ff5bcfe4a6d5d2a7a83703610281224e0ed8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 15 08:57:35 2022 -0400

    tbb_hardcoded_version="11.5.4"

commit 114cf068e24c64669f1a417607aad223ac6a72bb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Sep 30 06:26:51 2022 -0400

    bumped changelog version

commit 4f106f9549cc0a7ba4c5169ce1e2234434f42be7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Sep 30 06:25:38 2022 -0400

    alpha tbb_hardcoded_version="11.5.2"

commit c9f36d156c72fa66b319ac24e1eff2de02358456
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 10 06:55:33 2022 -0400

    bumped changelog version

commit 5692674db893f27595e579665f30487ec9381530
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 10 06:47:50 2022 -0400

    alpha tbb_hardcoded_version="12.0a2"

commit 3bad943c874ab0eb44d84c0c7a5eff978d2f8f36
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 30 05:44:14 2022 -0400

    bumped changelog version

commit ed92e0f5045ec8ac7f9420959caa90d368c253da
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 30 05:43:48 2022 -0400

    tbb_hardcoded_version="11.5.2"

commit b073c8eb7b472855b7b97f3245f29cd9c0a1d826
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 25 06:20:05 2022 -0400

    bumped changelog version

commit 7fe34e72baba459ca4eef79f0a065419903d27ea
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 25 06:19:38 2022 -0400

    chroot

commit 225dbb807d6877971d8ff0d54231b25509ef5c5b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 25 06:03:15 2022 -0400

    debugging

commit e96af41f4808750951c567f27111d2647d9c3faf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 25 06:00:23 2022 -0400

    debugging

commit 13cbdc03cc0a5fbb1cc3a2a4284eab6f81bb865c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 25 05:50:16 2022 -0400

    debugging

commit 691396fdab418d6dbcd5c08bac930f0f0ecf17b0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 25 05:47:13 2022 -0400

    debugging

commit 59df60257c104b1cd6b3e3a8af66f4ed3f82f71e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 25 05:29:24 2022 -0400

    improve Tor Browser ARM64 connectivity check

commit 4e3ce03c71fb34973ed29e95e90e81bb2c1111de
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 12 07:53:11 2022 -0400

    bumped changelog version

commit a7e73e3dfbc0a2e07209e1aab9ed13b1633701bc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 12 07:50:29 2022 -0400

    alpha tbb_hardcoded_version="12.0a1"

commit 623d464d436bf5b95ce4115809be166af265e567
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 12 07:47:14 2022 -0400

    fix

commit 5d540c7b972111cb2b55c1116a0730f66378a689
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 12 07:40:35 2022 -0400

    output

commit c29de3dd3a411796eff3796bc01819ece888155a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 12 07:26:40 2022 -0400

    fix --reset

commit aa13354ac91c8a9ca2d5459ac939d8079276b65b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 12 07:02:52 2022 -0400

    comment

commit e8a5d3d8f3dab6173b0bc6de00cf480490b9ff17
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 27 20:07:43 2022 -0400

    bumped changelog version

commit 5fcea6918c23a69e0823c01614373980f1b238cb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 27 19:58:10 2022 -0400

    tbb_hardcoded_version="11.5.1"

commit 2d29325177c4f216a4d26ed41bf396e717700bde
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 22 13:09:59 2022 -0400

    bumped changelog version

commit dbf488c3eebbbb7d9d1cc6bce2429ff7088114e7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 18 16:24:19 2022 -0400

    output

commit a618f4a7a6190bffc57680e98951d085a57ba3fa
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 18 16:22:51 2022 -0400

    clean up deprecated tbb_hardened_version_chosen

commit a46234a4ceac31a2274191bdc4b3a6a05d5f7320
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 18 16:21:19 2022 -0400

    fix --reset

commit 5839380466e7a193ef515824cbcbeb53e1cfb7d8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 18 16:17:58 2022 -0400

    output

commit d4a434ba62c1437e0ef8bbb61d6894c697a2ee72
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 16 08:24:34 2022 -0400

    fix

commit 170f52103c53a599bd964e51f9d8504c4f59e89b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 16 08:00:42 2022 -0400

    bumped changelog version

commit 597060bcc502ad9c37e306d9626f6fdc9a26147b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 16 07:59:39 2022 -0400

    tbb_hardcoded_version="11.5"

commit 483ddc2aac9af16f89e3c7d2435b748e274288c3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 16 07:56:10 2022 -0400

    genmkfile manpages

commit 20de275989814e43402c6766b40b40c6a85dc4cb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 16 07:55:52 2022 -0400

    manpage

commit 86611e1e31c52bfad89ebb0367ac7d3d3a4681bd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 16 07:52:56 2022 -0400

    manpage

commit 3a3d8fba6dc1543709e168fe80f1c674d73b576b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 16 07:52:13 2022 -0400

    manpage

commit 6387c1592caef1c92065f5d75f6af5d8bf6be49b
Merge: 4c9cc6a 521483e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 16 07:49:18 2022 -0400

    Merge remote-tracking branch 'github-kicksecure/master'

commit 521483e0bc467e1bbd0b422e3f48871d13a09c83
Merge: 4c9cc6a 8b9408e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 16 07:44:32 2022 -0400

    Merge pull request #18 from irykoon/master
    
    Support --update-only flag.

commit 8b9408ea24b945e926c070a0f82f992536fa8a49
Author: irykoon <iry@riseup.net>
Date:   Sat Jul 16 11:43:07 2022 +0000

    Rename --update-only to --only-if-newer.
    
    As suggested by @adrelanos in https://github.com/Kicksecure/tb-updater/pull/18#issuecomment-1186157912

commit c1bcf0dccec8b19ae583d3cd061a806b82a74745
Author: irykoon <iry@riseup.net>
Date:   Sat Jul 16 10:43:57 2022 +0000

    Support --update-only flag.
    
    When the Tor Browser is already up-to-date, the current tb-updater will still ask users if they want to download and reinstall it.
    
    With this `--update-only` flag turned on, the tb-updater will exit with a message like "Skip downloading: current Tor Browser 11.5 is already up-to-date".
    
    This flag is especially useful when tb-updater is run regularly to keep the Tor Browser up-to-date because it saves user from spending time and resources downloading an already up-to-date Tor Browser.

commit 4c9cc6a899cd9d5befaf1d0a7f7c6d34e6ebac2f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 13 08:30:32 2022 -0400

    bumped changelog version

commit b95799706fbd5101446d46b14d884c4a9c30e947
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jul 12 19:23:05 2022 -0400

    implement `--reset` to allow a hard reset of Tor Browser
    
    https://www.whonix.org/wiki/Tor_Browser/Advanced_Users#Tor_Browser_Hard_Reset
    
    https://forums.whonix.org/t/tor-browser-downloader-anondist-suggestion/14151
    
    Thanks to @anonhelp for the suggestion!

commit c645704b0b33185196840fe7527e97fb99067af1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jul 12 14:35:27 2022 -0400

    implement opt-in `TB_NO_CLEANUP=true`, which if set, skips deletion of downloaded Tor Browser tarballs

commit 20ed1f704eb9e7e4e6058afc1b33d58d7a78e490
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jul 12 14:32:44 2022 -0400

    refactoring

commit b0eea75d11718bbc8b5f798cfc0f241f34a264fc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jul 12 14:32:12 2022 -0400

    refactoring

commit 7b04b9f5b38d6ba8dc4c9c967e2fbf3bdabc164f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jul 12 14:31:24 2022 -0400

    refactoring

commit 956c3a7d11e1da00d94754540c93a2e368c9341f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 9 10:39:57 2022 -0400

    bumped changelog version

commit 1e32a287f23e64d294f782174796172c77d13c6d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 9 10:31:38 2022 -0400

    debug

commit 5eb6b69a2750be53fbbd5e7c406c22ab85d2c068
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jul 5 11:16:59 2022 -0400

    bumped changelog version

commit f9b0a7d4a39d987895247b633a900902951bed6d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jul 5 11:15:43 2022 -0400

    update Tor Browser arm64 maintainer signing key
    
    https://forums.whonix.org/t/arm64-tor-browser-maintainer/11786/7

commit 816d4dfbe4ed8f895dbdc3c55a7844fadfed0c58
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 2 14:27:31 2022 -0400

    bumped changelog version

commit e4964bd224d7d5911d6e231bc15439dd08322ef5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 2 14:25:14 2022 -0400

    alpha tbb_hardcoded_version="11.5a13"

commit 5f281555461e739298e2bb983088cbb358a1de00
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 2 14:24:47 2022 -0400

    tbb_hardcoded_version="11.0.15"

commit d0fb67de5188033bfddfb006efca0b6bd0755fb8
Merge: 9e3f8ed 1b78ec9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 2 14:23:52 2022 -0400

    Merge remote-tracking branch 'github-kicksecure/master'

commit 1b78ec9ae3cf5642945148513d1261924540945b
Merge: 9e3f8ed 17ef6a6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 2 14:20:40 2022 -0400

    Merge pull request #17 from pgerber/200
    
    Increase Tor Browser size limit to 200 MiB

commit 17ef6a6919922b23ae883a41e8a863a8dcabd76d
Author: Peter Gerber <peter@arbitrary.ch>
Date:   Sat Jul 2 09:14:56 2022 +0000

    Increase Tor Browser size limit to 200 MiB
    
    About to be released 11.5a13 exceeded this limit.
    See https://dist.torproject.org/torbrowser/11.5a13/

commit 9e3f8ed5014396ccf3856001a72de2f99235e243
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jun 19 07:35:39 2022 -0400

    bumped changelog version

commit 380941db1d008e5675ffc9238808f583cb8c32bd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jun 19 06:25:32 2022 -0400

    alpha tbb_hardcoded_version="11.5a12"

commit 8d78045389fe78d3639be7158408eb02a0c81896
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jun 19 06:23:52 2022 -0400

    tbb_hardcoded_version="11.0.14"

commit 56b34b3031f9a73af6525036f24fc0930db96f62
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jun 18 10:37:13 2022 -0400

    output

commit 7f1a1fb46cced18fb3f5325a02681a78da51b7b9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 09:26:00 2022 -0400

    bumped changelog version

commit 6296b57e16476e8c2fc48926861270da12fe4725
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 09:20:44 2022 -0400

    alpha tbb_hardcoded_version="11.5a11"

commit 968427f74183d871b6f2083459904215b5db8cce
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 09:19:19 2022 -0400

    tbb_hardcoded_version="11.0.13"

commit 1ca589a9fe618e613d001a779ad8c86d4e05bcfa
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 06:07:22 2022 -0400

    bumped changelog version

commit a6802fd3c2f38a0fb194a511f449e9594783768c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 15:27:12 2022 -0400

    readme

commit d0595f7e2f9e1f19533b4e435fbde90c7fe28358
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 14:46:40 2022 -0400

    copyright

commit f33a753f4fc4d91d22a9b3f2e1bfda2756ad4fe0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 10 12:40:18 2022 -0400

    readme

commit aa8d721f8d60a26dbf1c4792bc0a53d512fa3565
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 22 09:50:33 2022 -0400

    rename

commit 234a202a476930b19318167ea4c2de59246108d6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 13 08:05:02 2022 -0400

    bumped changelog version

commit 6e9b1a9737aedd08edfaee24270569fc4bbe6f58
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 13 07:53:16 2022 -0400

    output

commit 2d6f807eadec412fd37949020b1fa3a8d8613e79
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 9 10:39:19 2022 -0500

    bumped changelog version

commit 1f5b6972d75dfee0b48d2fb65462955204aad345
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 9 10:30:23 2022 -0500

    tbb_hardcoded_version="11.0.7"

commit 8d91b6d7f411377ac856983d2ec1754872ef397c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 10 14:07:33 2022 -0500

    bumped changelog version

commit 4cdf6dbbf79c19ecfc8f8a9ff0cc4f48f494b14e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 10 13:51:06 2022 -0500

    alpha tbb_hardcoded_version="11.5a2"

commit e4f73a11bd0e01ccbee63eccd2c04b01c6234110
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 10 13:50:41 2022 -0500

    tbb_hardcoded_version="11.0.6"

commit 4a1c70cb2042e4d78e6b1656e1a7f8a418b78086
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 9 08:04:05 2022 -0500

    bumped changelog version

commit b6d5ef20fcca243e32f7c0c51f63dbc74c04915a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 9 07:59:30 2022 -0500

    update links to documentation

commit c3a7e8205a2474f6d12afe8810b51a3c6691dd84
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 9 07:50:18 2022 -0500

    update links to documentation

commit ec06cbee1c3e337877aa4e69253f158d1031b95e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 14 12:37:34 2022 -0500

    bumped changelog version

commit 13b84940fe14cce61a3c9046e320d49461ae695e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 14 11:01:11 2022 -0500

    tbb_hardcoded_version="11.0.4"

commit be7be931ffef92d128c86ce0844d55890c1ba770
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 2 06:14:27 2022 -0500

    bumped changelog version

commit 85a81ed4dbc733cc080d739f7d5e478593cde19f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 2 04:41:19 2022 -0500

    output

commit ab664346a49cd9f06ab5ec5cb414b21869eed6fd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 24 07:57:14 2021 -0500

    bumped changelog version

commit 09c73931fef1bfa39f59a5395baef2757ac66688
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 24 07:56:45 2021 -0500

    tbb_hardcoded_version="11.0.3"

commit b82c6b94533ba38dea610eea805e8868e2e6836a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 24 07:34:35 2021 -0500

    bumped changelog version

commit f79cb405e16aebbb70f63032089ae7fbac6df9f1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 24 07:12:50 2021 -0500

    switch to "direct" digital signature verification
    
    - no longer download and verify sha256 hash file as this is no longer required
    - use only `gpg` to verify digital signature of Tor Browser
    - higher security
    - code simplification
    
    This is also a workaround for upstream issue `sha256sums-unsigned-build.incrementals.txt and sha256sums-unsigned-build.txt are not signed with torbrowser key`.
    
    - https://forums.whonix.org/t/tor-browser-downloader-needs-to-update-its-pgp-keys/13077
    - https://gitlab.torproject.org/tpo/applications/tor-browser/-/issues/40759
    
    Unfortunately this breaks arm64 downloads.
    
    - https://forums.whonix.org/t/arm64-tor-browser/11806

commit b77d669cbaaffbf428f48d4ab83c935a760ef216
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 15 06:43:12 2021 -0500

    bumped changelog version

commit 279125241b1f27c167792a56d14830deb1a39836
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 15 06:42:50 2021 -0500

    tbb_hardcoded_version="11.0.2"

commit 161a93905fed20c969603eef8359f233da94735a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 15 06:42:20 2021 -0500

    alpha tbb_hardcoded_version="11.5a1"

commit a662dcb2e94e2d7389f5716de91e25fb01261a17
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 15 06:29:26 2021 -0500

    bumped changelog version

commit ab1700b724bfb50002ac5d3a793765b96ebc3ca8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 15 06:26:25 2021 -0500

    add updated signing key
    
    as annoucned here:
    https://blog.torproject.org/new-release-tor-browser-115a1/
    
    Thanks to @pgerber for the bug report!
    
    fixes https://github.com/Whonix/tb-updater/issues/16

commit fc9d4d224c067ecf0eab1e301d4480a9efdf64de
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 9 03:41:44 2021 -0500

    bumped changelog version

commit 57e9817fd41d70462dbc04908db7bebbafa5140c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 4 16:02:53 2021 -0500

    use `curl` with `--cert-status`
    
    Thanks for @yodawins for the suggestion!
    
    https://forums.whonix.org/t/scurl-secure-curl-wrapper/7125/8

commit fff9cb730bd9dd6b7b68778b02fd95fff190e334
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 17 08:10:03 2021 -0500

    bumped changelog version

commit 79c0779916d9707a4a75e0bdf39749395f979d74
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 17 07:53:52 2021 -0500

    tbb_hardcoded_version="11.0.1"

commit 7edc06e59cae77d28b45b52212f951afde4a795a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 12 04:24:02 2021 -0500

    bumped changelog version

commit 0bef9ae36d0f475f2bf199ac27b12a17dec5eb8b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 12 04:22:26 2021 -0500

    genmkfile manpages

commit 9b7af8456c2d0dc354ab119bacd41fb1b9a53f7a
Merge: 7894d17 1072170
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 12 03:25:15 2021 -0500

    Merge remote-tracking branch 'github-whonix/master'

commit 10721701318cf134336d50dc5cd5a968d2d90a5f
Merge: 7894d17 d9a5d7d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 12 03:24:26 2021 -0500

    Merge pull request #15 from FrankGusto/fix-man
    
    remove passage about removed backup functionality from man page

commit d9a5d7d11d4caf198f21a2f32b9aaa733a4ad17d
Author: Frank <94107402+FrankGusto@users.noreply.github.com>
Date:   Fri Nov 12 04:45:30 2021 +0000

    remove passage about removed backup functionality

commit 7894d17b4199fe0a7d007627858e24cd13504509
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 9 14:32:34 2021 -0500

    readme

commit 2f5b8bab67eedeed28b3d352a16281b54c37917d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 9 14:11:20 2021 -0500

    bumped changelog version

commit 862bc8c882af3ce06435d7197787420376d8fd51
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 9 14:04:47 2021 -0500

    alpha tbb_hardcoded_version="11.0a10"

commit 73c5d33fbfb63552cbbc8e501f197bd51efa8573
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 9 14:03:55 2021 -0500

    tbb_hardcoded_version="11.0"

commit c365109f837609c1b32eba9ca4c0388e8c8bfd80
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Oct 26 13:01:36 2021 -0400

    bumped changelog version

commit 9f0ab50d81b662ff54f915d58b800c8151976958
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Oct 26 12:53:00 2021 -0400

    alpha tbb_hardcoded_version="11.0a9"

commit 3ae332a8726a45359b1a323593816f93b61fb00b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Oct 26 12:52:09 2021 -0400

    tbb_hardcoded_version="10.5.10"

commit c7da19affe5f6cbfbe9864591747a5f9a85c0f08
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Oct 12 12:12:05 2021 -0400

    bumped changelog version

commit 5bbbbcb4e2bd3792c8fbeb81e68360d75fcdbb4a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Oct 12 12:11:49 2021 -0400

    tbb_hardcoded_version

commit f81169965f897819e9f9cb3b55a1e721dc3f0a9f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Oct 12 12:05:22 2021 -0400

    bumped changelog version

commit c90edc3c2f02952666ced5c1dab82f4622b2df30
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 27 12:23:27 2021 -0400

    genmkfile manpages

commit 74ee40bb8b221963afeec406350ff47db0167d69
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 27 12:23:18 2021 -0400

    man page

commit ff968240a0fb83b52101e5f20478350ffd07445d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 27 12:19:37 2021 -0400

    genmkfile manpages

commit c0c2a744557d6bb31fae1ca1d1d728cf6cd85ba4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 27 12:19:28 2021 -0400

    man page

commit b54b2b78333ace90ef3dd02eb26470f03377a362
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 27 12:15:59 2021 -0400

    genmkfile manpages

commit fbbfd598eb5f3e7c3b1f81d5ab8f5f071ffb22b2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 27 12:15:46 2021 -0400

    man page

commit 4d16e049827955aff95d81f895262d9c37bb4421
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Sep 12 12:01:44 2021 -0400

    bumped changelog version

commit f04eee2d3013488c019ab54718d46d0bffac9853
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 16:31:42 2021 -0400

    readme

commit 13a2fde29632f98eaeb98a6d58265c6799037a09
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Sep 8 17:45:54 2021 -0400

    bumped changelog version

commit 778637418b37389e9d42769f6d200398e5544cda
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Sep 8 17:44:50 2021 -0400

    alpha tbb_hardcoded_version="11.0a6"

commit 6011e9e5dc2833892eadce7c0be2a6b65431cf04
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Sep 8 17:44:10 2021 -0400

    tbb_hardcoded_version="10.5.6"

commit 583d2f755bd287c26899c5c322e49f50e9d4967b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 21 16:44:50 2021 -0400

    bumped changelog version

commit a070941c05a9879f4a6e0b009bf2237f28b10268
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 21 16:22:39 2021 -0400

    alpha tbb_hardcoded_version="11.0a4"

commit fe840f6446087b2ed5b09e144e517c2875e21aa0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 21 16:21:51 2021 -0400

    tbb_hardcoded_version="10.5.5"

commit 97730993fc8e2de5c2c5ab7dcb786b51b6654030
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 12 17:06:12 2021 -0400

    bumped changelog version

commit 0f4f2598ff4142557c6e0b1e32f2b8bc2b7dc549
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 12 17:04:53 2021 -0400

    alpha tbb_hardcoded_version="11.0a2"

commit 93ee6a51f64a455a423465a24784378c37fc7e65
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 12 17:03:37 2021 -0400

    tbb_hardcoded_version="10.5.4"

commit d6d86816eef852bf71e9da275ced41dba632b08e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 5 17:08:33 2021 -0400

    bumped changelog version

commit 481913a0280a27fa7b01276eed6cc5f72c3030f0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 5 16:17:12 2021 -0400

    lintian

commit d9b362dfc1502eac4d1dceb0b59c247551043a46
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 5 16:16:36 2021 -0400

    man

commit 7cbc477fe2456cc7a8a89098aae2ac141a656616
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 5 16:16:00 2021 -0400

    lintian FHS

commit 9e065c2ff26f988de1b9591d5a3fbdf46eddc0d4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 15:13:28 2021 -0400

    update-path

commit b4f09ad8172f45e7ce7131a7256632ed6edc2e73
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 14:36:52 2021 -0400

    lintian FHS

commit 664da9437467cd759c3f722c565b05541264e023
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 12:57:50 2021 -0400

    lintian FHS

commit 643e2e73126c1cfa40c4dc4df29bd67f2e7960f1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 06:42:13 2021 -0400

    move /usr/lib/msgcollector to /usr/libexec/msgcollector as per lintian FHS

commit cd7db2886d859c8a5e5871fc654442e67a5806bc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 12:48:58 2021 -0400

    move /usr/lib/helper-scripts and /usr/lib/curl-scripts to /usr/libexec/helper-scripts as per lintian FHS

commit e014864c6baaa5d1e08002d5dc1d99dbf87013c8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 11:47:36 2021 -0400

    re-generate man pages (generated using "genmkfile manpages")

commit 31f77b4bd384def07a920c6bf91562ce93c1d154
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 11:44:18 2021 -0400

    man page

commit 72084950bf68d06daf3a85521503df60219a8f2f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 05:48:27 2021 -0400

    bullseye

commit 7d43f5eabaee1e9967e5f92c33c4d0a14afd977c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 1 16:24:46 2021 -0400

    readme

commit 551ba1cf9a5b89b3e9f54833691cd9c8bcdb2fbf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jul 15 09:54:05 2021 -0400

    bumped changelog version

commit e468f885753ce38c503de324c6d26279ba501271
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jul 15 09:49:37 2021 -0400

    tbb_hardcoded_version="10.5.2"

commit 6339c30084d6bb9d66faf8962dc27ead0e57d98c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 7 04:37:25 2021 -0400

    bumped changelog version

commit c5c218d905562ac9f86be1a2f49c10ae74bb7e50
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 7 04:35:15 2021 -0400

    alpha tbb_hardcoded_version="10.5a17"

commit 1f42fb58cf39f5d3734a7900ddba2a33a5a3355c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 7 04:34:42 2021 -0400

    tbb_hardcoded_version="10.5"

commit 061d1bb0df0c5c9e6409655f8ef021d654960e8b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 23 11:21:46 2021 -0400

    bumped changelog version

commit 6900f4d100a8b71572f055a61bec557fa633c5ce
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 23 09:40:31 2021 -0400

    alpha tbb_hardcoded_version="10.5a16"

commit 1bf4af07d859c89c66880d7376c1707841022b77
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 23 09:39:48 2021 -0400

    tbb_hardcoded_version="10.0.18"

commit 3386e06fc2000c6830cbd564e6978cdd3601645a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 15 15:36:47 2021 -0400

    bumped changelog version

commit 4076e1af72b5855f31bedd0d97bc2e26e7dee0f5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 15 15:25:17 2021 -0400

    output

commit 6ca73cc69ee05b6efaf043868595faf85276af3e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 15 15:23:57 2021 -0400

    output

commit e0ad939dc0d8978198d0a85df6f2ff63947c0f6c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 15 15:19:20 2021 -0400

    use Heikki Lindholm gpg signing key for digital signature verification of arm64 builds
    
    from sourceforge.net created by Heikki Lindholm
    
    https://forums.whonix.org/t/arm64-tor-browser-maintainer/11786

commit 129ee59b2768b902b6ad6f8ff58fc738ab3b3c02
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 15 15:15:42 2021 -0400

    add Heikki Lindholm gpg signing key for arm64 builds
    
    https://forums.whonix.org/t/arm64-tor-browser-maintainer/11786

commit 19a07f8dd6617dd7c21801dde4924b8488e67168
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 15 15:14:57 2021 -0400

    new file: usr/share/torbrowser-updater-keys-arm64.d/placeholder

commit 3102bdabe9436c9a3aef025433c1085557d1971a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 15 15:12:45 2021 -0400

    refactoring

commit 285fa1a3569395a722486cb80a999e3d370efdcb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 15 15:10:43 2021 -0400

    arm64 port

commit 3b719fa3ed82d9be03c98768bd9000df8dee0d85
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 15 14:56:56 2021 -0400

    output

commit c3112dbe5c1bdaf2a71579df51d6d04939713558
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 15 14:56:17 2021 -0400

    output

commit 409a3fcd174141fd21944e964b0bc6b61c77b856
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 15 14:54:12 2021 -0400

    output

commit 6d67d654852c7b2355a0a85cc8ab1241164f08fe
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 15 14:52:42 2021 -0400

    output

commit e82f29ac7e44c6867ef18890412f181979d95c42
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 15 14:49:42 2021 -0400

    output

commit b9ce68f6e2a179c615efc33558dddec1d060a7b5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 15 14:48:49 2021 -0400

    output

commit 3f7d0641cc027855817d2d38925edb561a471346
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 15 14:48:27 2021 -0400

    output

commit fee472afb7e51f9729d8b4b04d25ab8e05a6d2a0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 15 14:45:47 2021 -0400

    output

commit 03c4612d893e13642c50022e3e9ca2377d27e326
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 15 14:43:10 2021 -0400

    output

commit 36bbe964ddd40f3d81bfeb005db056ecf5095c78
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 15 14:29:04 2021 -0400

    arm64 platform support
    
    https://forums.whonix.org/t/arm64-tor-browser/11806
    
    https://forums.whonix.org/t/arm64-tor-browser-maintainer/11786

commit 927527245bd94960f0f5656f691ea727fde35602
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 15 13:10:19 2021 -0400

    bumped changelog version

commit 5c31abf6b689e1506624cecaaa90986080433c01
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 15 13:07:32 2021 -0400

    update signing key
    
    https://forums.whonix.org/t/tor-browser-downloader-gpg-download-signature-could-not-be-verified/11794

commit 750438e364d164fe7fe4e6071a0e9162458e4353
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jun 5 16:49:55 2021 -0400

    bumped changelog version

commit 8310c98af8791ab0985ba67cad6720cf8ecbac38
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jun 5 09:45:30 2021 -0400

    fix DispVM mounting
    
    Thanks to @froalker for the bug report!
    
    https://github.com/Whonix/tb-updater/commit/ab0143d84c018563d553a124ca05adac9e79419a#r51740265

commit f602e1fe130ef7141a7e342f318b59505f467672
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 3 17:40:33 2021 -0400

    bumped changelog version

commit e3714fb703b5f6d4055ba5bc7f81d9bd3b8456b2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 3 17:40:15 2021 -0400

    tbb_hardcoded_version="10.0.17"

commit fde6c5bce289f713ed730ac1624359ed1bdadca7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu May 13 11:10:29 2021 -0400

    bumped changelog version

commit 0c5d80abb3b54dfa89ce787472dc32f7ccb47250
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu May 13 10:46:13 2021 -0400

    alpha tbb_hardcoded_version="10.5a15"

commit add33ac08421a50546df8df06453ad9ff70e7106
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 5 08:41:32 2021 -0400

    bumped changelog version

commit ab0143d84c018563d553a124ca05adac9e79419a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 28 08:49:07 2021 -0400

    remove SecBrowser code since deprecated

commit e4f848d8fe084d528ddec94a7cbca12cae7c5bb2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 24 07:40:36 2021 -0400

    update to Tor Project onion v3 for `--onion`

commit 87c7ad10d2b19d372b0414ff2449ee5a1ccaef97
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 21 08:30:24 2021 -0400

    bumped changelog version

commit ecf856c3fe78d3007454102c916a35d8ed1000bc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 21 07:08:06 2021 -0400

    alpha tbb_hardcoded_version="10.5a14"

commit 0f404d631f859ebacab9c7382249f4ff6df2ec23
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 21 07:07:15 2021 -0400

    tbb_hardcoded_version="10.0.16"

commit b109091ee13892c21fbe397687bd54ef1715342c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Apr 5 12:00:10 2021 -0400

    bumped changelog version

commit eb6ba9b1c48afc0a394b26e1c331564948a53bd1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Apr 5 09:34:59 2021 -0400

    Depends: replace bsdtar with libarchive-tools
    
    Thanks to @JeremyRand!
    
    https://github.com/Whonix/whonixcheck/pull/15

commit 353995f9a09e4fc51bdee0124f397f8ed81aedc1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 28 06:48:42 2021 -0400

    bumped changelog version

commit 51c6334835d9bbeb9c7dafee988418669f9ad045
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 28 05:17:11 2021 -0400

    tbb_hardcoded_version="10.0.15"

commit 048b5556822743288eba49549a51dbb0d02b35fc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 26 17:42:38 2021 -0400

    bumped changelog version

commit f55661781aa11d48d4f2542dc1ac89a09d71f165
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 26 17:42:17 2021 -0400

    tbb_hardcoded_version="10.0.14"

commit c4c6d3d1f56919b61fbaca8a6455fd0402f72482
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 09:13:10 2021 -0400

    bumped changelog version

commit 67da4fc775a547f1235408080e7c7d4316d402c2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 08:57:23 2021 -0400

    copyright

commit f0ad35b8136c3ff849ea5a5c735d9054141ad98b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 12:39:09 2021 -0400

    bumped changelog version

commit ea59a233cd5539f6c9e68c7b6f62a48d4bda47a5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 09:45:23 2021 -0400

    copyright

commit b11fa7fbbe0addf6411d3137a2ee560150150613
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 4 07:10:30 2021 -0500

    bumped changelog version

commit 4a70f2a00dddd84a13178b35afbb6d6989d9d5cc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 4 07:04:34 2021 -0500

    tbb_hardcoded_version="10.0.13"

commit 52a26979b49ed747a7554cd4ba8d14b303669704
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 25 18:01:43 2021 -0500

    bumped changelog version

commit dd74409e3536f6b1fc8bba48dd015a363ba36903
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 25 18:00:40 2021 -0500

    alpha tbb_hardcoded_version="10.5a11"

commit 9cf9ad30c9dc831765f5e9780ea3582a1448f56f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 25 18:00:10 2021 -0500

    tbb_hardcoded_version="10.0.12"

commit 2b16c59a675eade6d1107562d2347dd41f275535
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Feb 22 12:58:11 2021 -0500

    bumped changelog version

commit 35e80dcbeeb4d223fd7dd1f4f32a5a333a2b4ed5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Feb 22 12:03:13 2021 -0500

    deprecate SecBrowser

commit 9f045e13ede69db6c5c4672e65d684374f10b9a3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Feb 21 08:21:56 2021 -0500

    bumped changelog version

commit cd7ae48dde634822a837590b45930026653f14a4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Feb 21 08:21:55 2021 -0500

    readme

commit 5cc5ddb3bf9c71bf6ceae1168eb200ba923b167e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Feb 21 08:20:48 2021 -0500

    deprecate https://www.whonix.org/wiki/SecBrowser

commit da74e71caf3681f6cff706f4c24ccce32f1adc70
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 4 09:43:52 2021 -0500

    bumped changelog version

commit 3eeb0c8144e23ae1d798606891de3c6005697595
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 4 09:43:24 2021 -0500

    tbb_hardcoded_version="10.0.10"

commit f6ab10b4f598c084920c66681e4430b2f72ee25f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 28 06:31:50 2021 -0500

    bumped changelog version

commit b90a821641334bb99fbc0b7ee9a8a386818b75fb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 28 06:32:05 2021 -0500

    fix changelog

commit f4786b28780688dcd18309fe0117f6de2ecbe168
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 27 17:46:58 2021 -0500

    bumped changelog version

commit 46c1cd3a2e35b2a78cf3df419222c90599c5ed2f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 28 04:59:28 2021 -0500

    rename to systemcheck

commit f045247d7c907700c1f465ba92561e0f45fcddae
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 28 02:16:46 2021 -0500

    bumped changelog version

commit ac5f13b7e1005797da451e4e02445d5668d4f903
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 28 02:15:34 2021 -0500

    alpha tbb_hardcoded_version="10.5a8"

commit 188feedcc1788f2eea162b4728617bfb1b76f2bd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 28 02:14:42 2021 -0500

    tbb_hardcoded_version="10.0.9"

commit 46a24c2249fa347cce75fbd41c330c97b0fac6c2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 26 09:53:14 2021 -0500

    bumped changelog version

commit 6d0ec1065af01dbf5bdb987930589b37f2416ece
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 26 07:07:37 2021 -0500

    whonixcheck -> systemcheck migration

commit 3796c80e5488175d67311c0c7b0f541f9a1e4953
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 02:37:34 2021 -0500

    bumped changelog version

commit 71c15bf7c2d6afba1f9be5f2540e45861da661ba
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 02:32:20 2021 -0500

    tbb_hardcoded_version="10.0.8"

commit 21620a3978b096e6d44adfde45b6bc02e4354f6a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 9 01:41:43 2021 -0500

    bumped changelog version

commit e27f5c2b4c803940562b6a1817405b52b7377112
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 9 01:28:49 2021 -0500

    cleanup

commit 42fbdd79553c07c56d6c36f28b9be40665a69870
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 9 01:27:50 2021 -0500

    port to /run/qubes/this-is-templatevm

commit 94be986d095749dc8d9f54200771654abab75d20
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 5 08:31:31 2021 -0500

    bumped changelog version

commit b005f502056156aabd5b1e262dc3e74d26c99fc1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 5 01:57:07 2021 -0500

    refactoring

commit 404fcd85204dc8f9634dc3e510bbff34fdf053bd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 23 10:05:47 2020 -0500

    bumped changelog version

commit c1c698ad18a031a929a6b0034fc21aee6ad22acf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 23 07:05:59 2020 -0500

    update signing key
    
    https://web.archive.org/web/20201223120236/https://support.torproject.org/tbb/how-to-verify-signature/
    
    https://web.archive.org/web/20201223120229/https://openpgpkey.torproject.org/.well-known/openpgpkey/torproject.org/hu/kounek7zrdx745qydx6p59t9mqjpuhdf

commit e4c872d83e58f6b3682cb195dba360218549ca7b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 15 13:34:29 2020 -0500

    bumped changelog version

commit 94351432b393ef595f8f9651bb839679189496b6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 15 13:33:48 2020 -0500

    tbb_hardcoded_version="10.0.7"

commit c858694fc85b58c31adcc7d7698a46a669e6300b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 15 09:58:20 2020 -0500

    bumped changelog version

commit aa5b5907c9e59f8602309f162e7f44c58d1e63bb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 15 09:54:32 2020 -0500

    - download from `www.torproject.org` rather than `dist.torproject.org`
    - fix download using `--onion`

commit 58fec4e4d37930f1d364fb53e376f1aa161ec267
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 15 09:01:37 2020 -0500

    bumped changelog version

commit b38263d405e8820b4666472583cd838029c1e2f3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 15 08:40:22 2020 -0500

    implement `--alpha`

commit 301b1201440d84345da7ae1bb5cd17dcde9dc504
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 15 06:58:26 2020 -0500

    bumped changelog version

commit 8a891ee4edfc051df594ed964b24233c9c4fdcf8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 15 06:39:37 2020 -0500

    comment

commit 55fb98af6f3181d7908455d945b540e7d69c52dc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 15 06:38:56 2020 -0500

    comment

commit dd81cf6771af2416f170b1f1bf2cba5b170f6390
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 15 06:36:26 2020 -0500

    re-add support for downloading alpha versions
    
    `tbb_download_alpha_version=true`
    
    https://www.whonix.org/wiki/Tor_Browser#Alpha

commit ef254974247cfef7bbd93e9bc54664f0500e3a88
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 15 06:30:06 2020 -0500

    add tip to console output on how to download alpha versions
    
    https://www.whonix.org/wiki/Tor_Browser#Alpha

commit 11cd8841a27d74394bb41c881719ece1b36ad179
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 15 06:15:53 2020 -0500

    comment

commit e0a5099650c23948fee8b1b3266427120431afa7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 15 06:12:05 2020 -0500

    * port to new version file location and format
    
    since RecommendedTBBVersions file was abolished by upstream
    
    https://gitlab.torproject.org/tpo/applications/tor-browser/-/issues/33521
    
    https://www.torproject.org/projects/torbrowser/RecommendedTBBVersions/
    https://web.archive.org/web/20201210123314/https://www.torproject.org/projects/torbrowser/RecommendedTBBVersions/
    
    * Show only 1 online detected version instead of multiple online detected versions.
    
    This is to keep the implementation simple since the new version file by
    upstream shows only one version per release channel.
    
    * code simplification
    * refactoring
    
    https://forums.whonix.org/t/update-torbrowser-does-not-see-version-10-0-6/10711

commit 373c5dd757952ad7cb4bdf829a4aadd612610a2b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 10 05:21:55 2020 -0500

    bumped changelog version

commit 09bc3c4fe8a680230306c129b28991d0101df4a7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 10 05:20:40 2020 -0500

    alpha tbb_hardcoded_version="10.5a4"

commit 42cc071bbfecafbc16cc7a6f56cfb9dbd3ddfdfa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 10 05:19:47 2020 -0500

    tbb_hardcoded_version="10.0.6"

commit 90064853fec48e749a350a22f27adb61d2ac9863
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Nov 18 02:15:47 2020 -0500

    bumped changelog version

commit b78a97a68c0f113f06fc884154fe5bb49152a558
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Nov 18 02:15:27 2020 -0500

    tbb_hardcoded_version="10.0.5"

commit a600d7499b600c9c3b519a2ee9e43ec31e49718e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 14 12:07:51 2020 -0500

    bumped changelog version

commit 2003b8ed49ca2dfc38606d62012120de583dd39d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 14 12:07:34 2020 -0500

    alpha tbb_hardcoded_version="10.5a3"

commit 1e7dff53dbfcd599e655be308faad425ca548371
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 14 12:07:11 2020 -0500

    tbb_hardcoded_version="10.0.4"

commit 8f689740eb1ac3511d126713380d65f66622aa9d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 1 07:56:59 2020 -0500

    bumped changelog version

commit de8746ddd16912bf42e16a7e94e0a0254aa8b08c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 1 07:55:42 2020 -0500

    no need for `eval`

commit 2422f2c66cfeea84bd02286648a3ce6ead13ab3c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 29 16:19:08 2020 -0400

    bumped changelog version

commit 86867ad846af4583657dcfd33e2240d5be6aaab0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 29 16:16:39 2020 -0400

    move from pushd to popd
    
    to fix sandbox-app-launcher issue
    
    /usr/bin/update-torbrowser: line 1533: popd: /home/user: Permission denied

commit 5339f6b1fff85189fdfb04455a2121dc47154a3d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 29 16:13:49 2020 -0400

    --tlsv1.3

commit 949122dd8820eca6d796a96aff522d208a4e7bd1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 26 17:00:53 2020 -0400

    bumped changelog version

commit 2a684fa3e72b0aba4ad2fd9bcebbf43f02eec25e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 26 14:18:40 2020 -0400

    output

commit 7a06b20f6cd305c1bee7fe7172361d237ddf85cf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 26 08:03:27 2020 -0400

    bumped changelog version

commit 1dfff8747379686029e4b139ba54852512d94a4a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 26 07:23:10 2020 -0400

    output

commit 5a1d4c155c7553250332df95bf180970db5253de
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 26 07:21:41 2020 -0400

    output

commit 78a53e074e4529c7224feb0b14f82d6b476d5802
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 26 07:10:57 2020 -0400

    output

commit 7b1b106ce020095cc1cf2cb86fd9b71972aa6c5d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 26 07:08:55 2020 -0400

    tbb_hardcoded_version="10.0.2"
    tbb_hardcoded_version="10.5a2"

commit fb09eaf2cde2c422e1493da65ec59140c65d22e3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 26 07:07:47 2020 -0400

    update link
    
    https://www.torproject.org/projects/torbrowser/RecommendedTBBVersions
    ->
    https://www.torproject.org/projects/torbrowser/RecommendedTBBVersions/

commit 93251ff3b265ba8495b6353aea9f71fd70918aaa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 26 07:05:17 2020 -0400

    output

commit 8193119aabbadb116d22bd4d578928701a1ce685
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 14 07:39:13 2020 -0400

    bumped changelog version

commit 70bd2f520e1584f61d813813822e14f27013b0ee
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 14 07:39:12 2020 -0400

    readme

commit 443b5dfc37cacb5ff7cfd8c9e028ae661621875c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 14 07:38:51 2020 -0400

    tbb_hardcoded_version="10.0.1"

commit 013979cd3cf57218a450a759c0a2d5cc0064e65c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 29 06:44:03 2020 -0400

    bumped changelog version

commit b792218a7ecf7ed9af587c31a641567c6f0ccbb8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 29 06:43:01 2020 -0400

    tbb_hardcoded_version="10.0"

commit c00d0328f574726a8e279834df5cf1fe4145250e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Sep 19 09:29:15 2020 -0400

    bumped changelog version

commit 34d69e5ebea90680bdf58cd4b5e72740daad4d3a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 16 04:32:39 2020 -0400

    comment

commit c6623560e690cb0e189f9df3f9389655c15a340a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 16 03:36:04 2020 -0400

    comment

commit 4c0d7b305e5880964a74e91b9c0e1a2b0b0b7dd3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 15 05:49:54 2020 -0400

    minor

commit 0b329190a82e28e2aa5f2abb48928205f2acd054
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 15 05:48:04 2020 -0400

    update man page
    
    https://forums.whonix.org/t/suggestion-update-torbrowser-shouldnt-downgrade-by-default/10279

commit 8a3782679607006c0b5a201457a157c459748930
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 15 05:13:10 2020 -0400

    comments

commit 280133d5bd1e3a2385ce32ca32e61db00682dfce
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 26 10:02:53 2020 -0400

    bumped changelog version

commit 89bd03f4bc6e7aee6b211bf7f11afd132943f3e2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 26 10:02:39 2020 -0400

    tbb_hardcoded_version="9.5.4"

commit 09208cf06cdf5440ae1e8838f3828801be685b32
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 25 10:02:26 2020 -0400

    bumped changelog version

commit 52ddf9b42dd4288e546753f80045294b58f8358d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 24 10:58:32 2020 -0400

    alpha tbb_hardcoded_version="10.0a5"

commit f26fae45b2b35ce06229a1c858f0d5ec2abb3a23
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 24 10:56:42 2020 -0400

    update signing key

commit e346d078f8d40d16c147736157d736b91506bdc4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 29 12:05:05 2020 -0400

    bumped changelog version

commit 61552ae750cdbd631409588f4abee64593c17b1e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 29 11:00:28 2020 -0400

    terminate Tor Browser if still running during update-torbrowser

commit 6f4689cc152eeb7ae6384a4f46b861b4d9bf3083
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 29 08:53:47 2020 -0400

    bumped changelog version

commit 21b3a4925f88b65e08756ff936ac592df1b3ee49
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 29 08:52:50 2020 -0400

    tbb_hardcoded_version="9.5.3"

commit 52c94acb453add555deb8e11a981cb2bd14e0b56
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 15 01:00:23 2020 -0400

    bumped changelog version

commit df5bba06564038dce23f5c5489b8a8468294852a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 15 00:58:44 2020 -0400

    curl add --retry-connrefused --retry 3 --retry-delay 3

commit b2fb55a77618f43ce718a86a9b17cf3eebeff248
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 2 14:42:32 2020 -0400

    bumped changelog version

commit 374849fce22cfd5162f6358797dfd3d53385b66c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 1 07:50:39 2020 -0400

    tbb_hardcoded_version="9.5.1"

commit 77b5e0fc21977ef2b811d0c292e2e629dee195f7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 3 09:58:07 2020 -0400

    bumped changelog version

commit 212dec4d6bcb67193c1e6eacd1f2cc27254e8d9d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 3 09:45:50 2020 -0400

    tbb_hardcoded_version="9.5"

commit fe2bc8383ffe3ae69268e0f9c85a428bfa2c6522
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 27 13:55:02 2020 -0400

    bumped changelog version

commit 4670d67024064b24b8fe7658e24f6b248f1d8a3e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 27 12:30:20 2020 -0400

    debugging

commit aff1dc52d5a43db0877d7c001e56361dd56346d3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 27 12:29:56 2020 -0400

    debugging

commit 39195d6d90cfe84778fb8b0e08618a18b49c596a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 27 05:09:51 2020 -0400

    bumped changelog version

commit daef66b35228b563e7faa18591fcb8d369b96d81
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 27 05:09:41 2020 -0400

    fix lintian warning

commit 74a9118aec4317285dbf74ff2e5c476cb30d28fd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 27 04:40:30 2020 -0400

    bumped changelog version

commit 078d7494a155bf8a989df595ae2babb5decb829c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 27 04:11:23 2020 -0400

    https://github.com/QubesOS/build-issues/issues/1769

commit 0caf1be8caa60f040187ae07a75238bbabc80f72
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 6 09:04:53 2020 -0400

    bumped changelog version

commit 7ca9cb850b25bf71025e4b752adf6329939163a9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 6 09:04:40 2020 -0400

    tbb_hardcoded_version="9.0.10"

commit cfc192db584e3444a599dddc406fb2952fddeb2f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 16 08:46:25 2020 -0400

    bumped changelog version

commit ede1e430165aebd5fcaff7dc0039c6e358184652
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 15 14:05:38 2020 -0400

    readme

commit 48e23e65ee6977d5963148c608845efbb324a597
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 12 12:55:14 2020 -0400

    bumped changelog version

commit 082743a5207607eb20bb432ef9d1424614e68b6d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 12 12:54:58 2020 -0400

    tbb_hardcoded_version="9.0.9"
    tbb_hardcoded_version="9.5a11"

commit dd26986a1a44db7e379d8cc44d760655f7114dd3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 7 13:15:59 2020 +0000

    bumped changelog version

commit c589fdbda4a65abd2532f1b6fc23ff67c7cfe452
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 7 13:06:33 2020 +0000

    update package name

commit 66d80400c892a9a5fe4b58c2a602231122c035ce
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 13:19:58 2020 -0400

    bumped changelog version

commit 3cc38afb2eb3ac3443fd3875ee221db6fdb250ae
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 13:18:33 2020 -0400

    readme

commit cae238f54e2362fd7521e6507f6ad813ceb313f5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 10:19:07 2020 -0400

    lintian

commit ab68a701005f50c60b4bedfd67f759c6788174e8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 10:02:29 2020 -0400

    bumped changelog version

commit 6acbd82657849c3584f98a41169e274d53b3b33c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 09:47:35 2020 -0400

    readme

commit dcf02fc72340874cd162bf7240f974767889eff1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 05:40:50 2020 -0400

    curl-scripts -> helper-scripts

commit 5c2866fb623832d671a99ca6634ac5d7a7ff2ee9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 08:02:37 2020 -0400

    bumped changelog version

commit b8abc713e460bbd974da7f022c9235090e3dc785
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:22:53 2020 -0400

    readme

commit 5db3aa0d787fbbc6fbb5decde44c691cdef4f996
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 17:35:00 2020 -0400

    remove 'Build-Depends: ronn' since no longer required

commit d514fd68857ab17ed52f68d6290daff99cb765f3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:57:34 2020 -0400

    remove genmkfile

commit 2c277cfa7e5e1e266219fd8a54a68d6b2a929608
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:34:15 2020 -0400

    add debian install file

commit 18dc04a2feb0850f2c7d3236fa244bca8f59832e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:56:49 2020 -0400

    add man pages (generated using "genmkfile manpages")

commit 43faa75b08be318d3fd9c3315f8448be12488cbe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:49:53 2020 -0400

    no longer create man pages during build process
    use pre-created man pages

commit b194be0a13a9b4c2c6fb92bd4649b735262a3ae3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:42:51 2020 -0400

    change path to auto generated man pages

commit ae966e0e8af3ab6c93b51e42efb20d0f435e69cf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 11:03:03 2020 -0400

    bumped changelog version

commit a05b3ce56fc6b947dd0c842dd7781f1a5152e367
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 09:15:15 2020 -0400

    copyright

commit 47f34821bb998322f77439b9b0d53fb0a12011f8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 08:50:00 2020 -0400

    update copyright year

commit 42e1c72d78b157ea217739bb2e6e25b91b308aa8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 31 09:46:53 2020 -0400

    bumped changelog version

commit 0ee7609ea4f7a0c7ea0c74e95fd15fbf589db0bf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 31 09:46:07 2020 -0400

    alpha tbb_hardcoded_version="9.5a9"

commit f2b23dfeba3e738ba0ed654c383fadfbc4c00bac
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 31 09:45:27 2020 -0400

    tbb_hardcoded_version="9.0.7"

commit 5b086aa127ca374eef1cbd21c916172323846154
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Mar 22 06:14:09 2020 -0400

    bumped changelog version

commit 1da80ce4347bd382b4a1135521ab4196e771784a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Mar 22 04:01:13 2020 -0400

    sudo --non-interactive

commit e8c64741f8d3eeac8b29a12bef8bdd783bbdb74b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 16 09:33:18 2020 -0400

    bumped changelog version

commit a108a051e7e73b765d81316a09b6e5b8945728a2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 16 09:24:33 2020 -0400

    tbb_hardcoded_version

commit a27f0e4495a9882e0bc02578e0a890a1f3098b3e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 13 14:13:55 2020 +0000

    bumped changelog version

commit b9ceba31788675f2272a582dcc7d95f451738acb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 13 07:56:15 2020 -0500

    tbb_hardcoded_version="9.0.5"

commit 52933f4b607ca2e724c9f39e59576ac731bbf4a7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 05:25:15 2020 -0500

    bumped changelog version

commit dd767f65b2ee626eff274938cc2cb48a3a2b9108
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 04:33:40 2020 -0500

    alpha tbb_hardcoded_version="9.5a4"

commit afd3bbc82e03482b3cec3ef94aad45442c324cdd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 04:33:08 2020 -0500

    tbb_hardcoded_version="9.0.4"

commit 326e38d372412f486076f90285ea31f05865de69
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 8 04:39:28 2019 -0500

    bumped changelog version

commit b210ba57f06c22bf6d7b624deec827ba0ab98f69
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 8 04:35:32 2019 -0500

    After=proc-xen.mount systemd-modules-load.service qubes-db.service qubes-sysinit.service

commit 897cd83d8c4048876cdea8ace0cba6ae5c0834c9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 6 12:44:52 2019 -0500

    bumped changelog version

commit 335fa39c0f337bfef74b9f2c0d6fe1f7903da8b1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 6 12:27:35 2019 -0500

    use more generic After=local-fs.target

commit f46b7956db7671587c8e456cefb694fb36f22ab1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 6 12:25:58 2019 -0500

    clean up legacy

commit 86655c3e2a9282c6b8713c5069a9587844720372
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 6 12:23:35 2019 -0500

    remove After=qubes-mount-dirs.service After=qubes-mount-home.service
    
    since already using After=local-fs.target

commit 51d31f6361f10ed51167cdb49e8ed65652405fa8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 6 12:20:54 2019 -0500

    clean up legacy

commit 72c5a1bf873236985f52b3d05ec4fe82c9e63e4e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 6 12:19:57 2019 -0500

    load tb-updater-dispvm.service more early for nodev,nosuid enforcement

commit 38be1749aefaf6088b00f5c7497fa98ae8d3eeb3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 6 12:11:23 2019 -0500

    Qubes DispVM: nosuid and nodev /rw/home/user/.tb and /rw/home/user/.cache/tb

commit 2be8457c82d8d5b2f82ab215620a50826c5f2905
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 6 10:58:46 2019 -0500

    bumped changelog version

commit 42c7f4219e02c71623051f7529ff2bd06590083c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 6 10:47:58 2019 -0500

    tbb_hardcoded_version="9.0.2" / tbb_hardcoded_version="9.5a3"

commit 224ab0e448e5c3c349e6f2518aea7d1f4ccf9c08
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 19 15:32:35 2019 +0000

    bumped changelog version

commit 95c1c09e7aa6d4f44f53b2f0d1c0c4f01a43a648
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 19 15:25:07 2019 +0000

    usr/share/tb-updater/tbb_hardcoded_version_alpha: tbb_hardcoded_version="9.5a2"

commit 2c3b7710d124cf13890be53d84d5385fb0f95022
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 9 12:59:15 2019 +0000

    bumped changelog version

commit 9b6e77eb98c964946970c90701791c0fc503516d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 9 07:11:52 2019 -0500

    tbb_hardcoded_version="9.0.1"

commit 1c8365537784f677dbe4323ce8f1276d0871a62c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Oct 27 09:18:48 2019 +0000

    bumped changelog version

commit 38626c63f98b8f6d27ace78958aa38fc21fb30d5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Oct 27 01:57:07 2019 -0400

    tbb_hardcoded_version_alpha: tbb_hardcoded_version="9.5a1"

commit d75101b24b739e884cb56fec2659bc9b60818b54
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 23 11:26:37 2019 +0000

    bumped changelog version

commit b37900796d74896185f5b85207e651826a80f3e0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 23 11:25:48 2019 +0000

    tbb_hardcoded_version="9.0"

commit 39da8f824f42b59a36feb9ef9574163d6b908184
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Oct 18 10:40:25 2019 +0000

    bumped changelog version

commit 7aaf04fbf8dd9e613c92d949bcb1301e739b000d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 17 02:47:52 2019 -0400

    alpha tbb_hardcoded_version="9.0a8"

commit cb73fed50688517341c8c64a33781ee6c1d5e965
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 17 02:31:20 2019 -0400

    alpha tbb_hardcoded_version="9.0a7"

commit be0bacd63aab551cb2cbf752e472038c3256faf1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 16 13:35:40 2019 +0000

    bumped changelog version

commit 5a6e719991267c71d9ec52ef9c7e868cb8380fe5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 16 11:55:22 2019 +0000

    output

commit 0a6b2aa401f23b82264ce3a951d24f2ddb34588f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 15 11:51:47 2019 +0000

    bumped changelog version

commit e62144b09abd9a3451ff56b1825fe87e5e4acf8a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 15 11:50:31 2019 +0000

    lower debugging

commit 382afa195b907762cdc5a1eb34001d9609f2d5bc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 15 11:01:17 2019 +0000

    bumped changelog version

commit b71b5de0aabeb41fbba5888e49935cdd12021f2d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 15 06:27:51 2019 -0400

    fix permissions on manual run as root
    
    https://forums.whonix.org/t/secbrowser-in-qubes-templatevm-issues/8116/7

commit d00539d5d5976d4f985b8cf0530d852622c5cbfd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 15 06:22:51 2019 -0400

    refactoring

commit 5c06e6648dc3f0cb0f9f6b405d3705e82b3a0432
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 13 13:38:57 2019 +0000

    bumped changelog version

commit 8f1533d2e1f2d35c757cd686684495bef441a04c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 13 13:25:35 2019 +0000

    install SecBrowser in Kicksecure by default rather than Tor Browser

commit f1d0f161e828785ac5cbef80866d13840b3bb5ec
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 9 12:11:01 2019 +0000

    bumped changelog version

commit a927394d17bec986a3bfbccd8d4f50a0eee8cf7c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 9 10:27:43 2019 +0000

    fix "update-torbrowser tb_onion config setting ignored."
    
    run tb_config_folder_parser before tb_parse_cmd_options and before tb_preparation
    
    https://forums.whonix.org/t/update-torbrowser-tb-onion-config-setting-ignored/8049
    
    Thanks to anon3567998 for the bug report!

commit e926b87e06fed76a892b30b01fcc378cc1850c84
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 9 10:24:43 2019 +0000

    refactoring, set tb_settings_folder in function tb_config_folder_parser

commit ac21f887493e9f6645af360108c69a62f379e68d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 9 10:23:52 2019 +0000

    abolish --i2p and move to update-i2pbrowser instead

commit 188cc1e12c01b57cf9e363e87ddd57aed464feba
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 6 12:29:20 2019 +0000

    bumped changelog version

commit 703afa4c9e51e6a0b9d9def7fed9106eb6359b58
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 6 12:28:35 2019 +0000

    fix dependency lxsudo -> lxqt-sudo

commit afcff41567254a5a49eefb165574327b3cfab692
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 6 12:23:30 2019 +0000

    output

commit aa20a39c9edfc7add259bee83cf252e73104f6b7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 6 12:22:24 2019 +0000

    output

commit f759ef292c69c4c2a78ceeb18cab6e616e4cb264
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 6 12:18:13 2019 +0000

    comment

commit 0149ebe944b0d1174343a03b5adf631d439f77c0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 6 12:03:46 2019 +0000

    bumped changelog version

commit 28cbdd3d78badec1db09df71bcb534f547a061ac
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 6 11:58:41 2019 +0000

    fix, delete old folder
    
    this was broken in https://github.com/Whonix/tb-updater/commit/f9440c7066bc08e6725c85c92b1db9f7ceba8740

commit 4fec175d3a2503ceb6fed54aa0a01e74fc8e8c93
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 6 11:41:18 2019 +0000

    bumped changelog version

commit da5392e2bbe4c3f49f9c81d38c0c21bbc831de9a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 6 11:40:33 2019 +0000

    syntax fix

commit 605d7fcc746dafc0bf454f9451c38deaf43260a8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 6 11:19:12 2019 +0000

    bumped changelog version

commit de8e77bf3d1233705a790ae19aa01d451e683340
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 6 11:18:14 2019 +0000

    run update-torbrowser under lxsudo in Qubes TemplateVM

commit b4f195e6512fb6c97ff2531c6202bcd6486ee043
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 6 11:11:25 2019 +0000

    needs to run as root in Qubes TemplateVM for manual run
    notify user to run
    sudo update-torbrowser

commit cb3f687ff6b539831a849e553dccb023c16f5769
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 6 11:06:31 2019 +0000

    allow running as root in TemplateVM to allow manual run

commit 132e70acae71f0ba2638b20b0bccb8cbc207ae35
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 6 09:34:17 2019 +0000

    bumped changelog version

commit bfca0ce412ebc5184abfa0ed548b10e79cc9cf7a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 6 09:25:48 2019 +0000

    tbb_hardcoded_version_alpha: tbb_hardcoded_version="9.0a6"

commit 7c99a033cdeb2cd3f84b24ad886aa49d10047cb9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 6 09:24:32 2019 +0000

    tbb_hardcoded_version="8.5.5"

commit cb3a59f028e04c7cb913ccb659577a7c11c57415
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 31 13:46:26 2019 +0000

    bumped changelog version

commit e6aec15bd2d0accaf0be68f0b734725c50e01bd5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 31 08:20:21 2019 -0400

    permission fix

commit 7694c82292e88922fc61d0c01d879f61dc902dcc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 28 12:48:34 2019 +0000

    bumped changelog version

commit 665b32cce448b41a8822612a0f3494dd2f781c1d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 28 11:35:28 2019 +0000

    use properly override_dh_installman

commit f91d1b1f9a1d1e559982c8394559384df696337a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 28 11:12:06 2019 +0000

    bumped changelog version

commit c8cb9921d5ef8729da72bc49d4582cc8449317f0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 28 06:42:50 2019 -0400

    usr/lib/tb-updater/dispvm: add mount options -o nosuid,nodev

commit ab0aba69b210e8b2b7a25f0cfef19b40a86c9d53
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 14 01:02:38 2019 +0000

    bumped changelog version

commit 836d70eac16d574e6cc49336644a21460def346e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 14 01:01:38 2019 +0000

    readme

commit c3eaef41a560bb73818e79279d27aa2c36967c3a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 14 01:01:23 2019 +0000

    description

commit 60527b665d076f75482fa1bd6ca2fb6b41ffb18f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 11 15:07:56 2019 +0000

    bumped changelog version

commit 9b242fbc1183505ce77597e82bc1c52e75a16da9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 11 14:10:03 2019 +0000

    use marker file /usr/share/whonix/marker instead

commit 9503e83ef5e2ae513dc5a7d8633c3a37ffa5b106
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 10 11:37:37 2019 +0000

    bumped changelog version

commit 29aa6120e2494ef49f47046715487580212d47f9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 10 07:04:26 2019 -0400

    man

commit 37fcc899daf9c138179516bafdc5baedf190926f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 10 06:26:38 2019 -0400

    check version entry user input matching a version we found

commit 4aebe6514b577e23462823eeb4cbf5e8d39bc548
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 7 06:31:12 2019 +0000

    bumped changelog version

commit 228b2e2a1bedd7aed9178d73a902831cc2f2c247
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 7 06:28:40 2019 +0000

    permissions fix when copying from Qubes root image to AppVM private image

commit cb113d82befa544c3c0a012cb0d0c0a9990674b2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 12:06:27 2019 +0000

    bumped changelog version

commit dd980d6c3619bcdca2aaf658e547ca07c215379a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 11:13:45 2019 +0000

    readme

commit 59411545fef733a8671d516fc936ee6ec09bcfe6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 31 15:18:29 2019 +0000

    bumped changelog version

commit 72bf7039b61c98669d94299c98af20816cb33b03
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 31 10:57:55 2019 -0400

    can use pre.bsh now since it enables echo by default

commit d1243bbd361b519197342fe61597bebd39fba19e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 31 07:46:34 2019 +0000

    bumped changelog version

commit aa72eebb8cc9997bff34fb4062db4600f4f35e8c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 31 03:12:13 2019 -0400

    /var/run -> /run

commit 65d96f43bbc88ff999372d84b8c96edf8e8ad886
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 29 12:56:55 2019 +0000

    bumped changelog version

commit 2729adc1d50a521bb55d9acacd977bc66eb2f1c9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 29 12:55:02 2019 +0000

    TODO AUDIT: see comment in debian/tb-updater.postinst
    
    suppress lintian warning
    
    --suppress-tags maintainer-script-should-not-use-recursive-chown-or-chmod

commit 52fd47103317ab561786869713b858fa2513a647
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 29 12:45:23 2019 +0000

    comment

commit bcb1f5e6f1a5d0131a5e0924c837bd130c2df541
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 29 12:38:06 2019 +0000

    comment

commit b9138d0a82e5adbbe1273151caaf7a48582c73fe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 22 01:18:51 2019 +0000

    bumped changelog version

commit f9440c7066bc08e6725c85c92b1db9f7ceba8740
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 19 15:19:56 2019 +0000

    no longer keep / delete / rename old versions

commit b86699f30be727e902153e213980d3698f7357c3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 19 14:29:12 2019 +0000

    permission fixes

commit b7c02e008796622ec84e3f079a58559c869f8294
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 19 10:30:03 2019 +0000

    bumped changelog version

commit 291a34c993f1e1738254ea6422377ebd6b00e4f5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 19 10:28:55 2019 +0000

    usr/lib/tb-updater/dispvm: add secbrowser support

commit f98e515f7a0a1ad4c42f21c344b1e339ddd1aca9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 19 10:25:16 2019 +0000

    Revert "usr/lib/tb-updater/dispvm: add SecBrowser support skeleton"
    
    This reverts commit 6b18ce9579d98d95176b5f229dd812c35f9d5a58.

commit 6b18ce9579d98d95176b5f229dd812c35f9d5a58
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 19 10:23:54 2019 +0000

    usr/lib/tb-updater/dispvm: add SecBrowser support skeleton

commit 3341e9e712797538c3097d2f6561546b1512c231
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 19 10:21:29 2019 +0000

    usr/lib/tb-updater/dispvm: do none of this inside chroot

commit fc3008f4d7cd07e84b84785d9af25d1e3e49c62e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 19 10:20:30 2019 +0000

    usr/lib/tb-updater/dispvm: do not run outside of Qubes

commit 3e5af06e707f50c0f4db50bd53c9f07558de89ce
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 19 10:18:31 2019 +0000

    check if folder exists before using bind mount

commit db756b9a2e46242ee66711c274a6275178923de1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 19 10:09:41 2019 +0000

    bumped changelog version

commit ee7418a81eeae70c502cad0bb17aa4742580fc6f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 18 12:13:44 2019 -0400

    move code to copy Tor Browser from /var/cache/tb-binary to user home
    
    to tb-starter package /usr/bin/torbrowser

commit 243f446d4d38226062de3431b4481e53aa47e9d3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 18 12:12:11 2019 -0400

    skip if folder /var/cache/tb-binary does not exist

commit 29d729927e623e977ee14b1a5ebdce77e73ed224
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 18 12:04:47 2019 -0400

    use bind mount rather then executing directly in /var/cache/tb-binary
    
    https://github.com/QubesOS/qubes-issues/issues/4918#issuecomment-512860113

commit 6a36f77dc741402dde0e081ac1c050ec6ad3b2ef
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 18 11:04:06 2019 -0400

    fix permissions

commit b803726f0ce7ab81b2eb9e0fdff8a8f9fc223ec2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 18 10:41:54 2019 -0400

    no longer need to use sudo

commit 5bc8018af4db69d58c82e758ce5eec6797848d2c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 17 23:18:55 2019 +0000

    bumped changelog version

commit cad4ae5039324768c0cf5727c61c0145903e2305
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 17 23:18:34 2019 +0000

    chmod +x usr/lib/tb-updater/dispvm

commit ba526acdafd20076d25e2c12aa5d29975fe1fa95
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 17 23:17:05 2019 +0000

    bumped changelog version

commit 5d3c3f4ddf672773507176b67890633b1132cd61
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 17 23:16:00 2019 +0000

    permissions fix for DispVM
    
    to run directly from /var/cache/tb-binary

commit 4d67ed7303c2497a56c60d7628d47e43c422eef6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 17 23:08:29 2019 +0000

    Revert "permissions fix for DispVM"
    
    This reverts commit 09e4de069a222ac7586c1c92061a270a73163dc8.

commit 09e4de069a222ac7586c1c92061a270a73163dc8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 17 23:07:03 2019 +0000

    permissions fix for DispVM
    
    to run directly from /var/cache/tb-binary

commit a337946488ef4978ece8402c110ca3b7f0f838e5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 17 22:49:42 2019 +0000

    no longer run tb-updater during postinst as user "user", run as root
    since existence is not guaranteed
    
    permission hardening:
    no longer set /var/cache/tb-binary to user "user" unconditionally

commit e272f056b978e4c3902a6660dad35c3ccb49054f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 17 22:49:11 2019 +0000

    no longer run tb-updater during postinst as user "user", run as root
    since existence is not guaranteed
    
    permission hardening:
    no longer set /var/cache/tb-binary to user "user" unconditionally

commit 01f53a9ebc3485757ba1eaaac9f8b8313d11123e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 13 15:37:16 2019 +0000

    bumped changelog version

commit 6336fad67fc96ed646f91b37c4bbc7c0e7dfdc56
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 13 15:35:38 2019 +0000

    Debian support
    
    do not break if user 'user' does not exist

commit ff33e22a76931100c41bdcf293a0db69a05aa837
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 13 15:31:32 2019 +0000

    support download SecBrowser in Qubes TemplateVM
    
    by creating either file:
    - /etc/secbrowser-qubes
    - /usr/local/etc/secbrowser-qubes

commit 4048cd19b8e697a224f32cf0dc7be0581bf82186
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 13 11:29:36 2019 +0000

    bumped changelog version

commit 798e23c1f9ac1f0ccdfe22c2f79fb0e9f637e51e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 12 12:23:53 2019 -0400

    move usr/share/tb-updater/tb_without_tor_settings.js to tb-starter usr/share/secbrowser/user.js

commit 7b599a33616d8242366bcfa501685b26716c2349
Merge: c6b4d44 f29ff96
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 12 12:21:04 2019 -0400

    Merge remote-tracking branch 'origin/master'

commit f29ff963a76f534a4cebce66b7eb5f0d22d705a6
Merge: c6b4d44 91bf98e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 12 16:20:45 2019 +0000

    Merge pull request #10 from 0brand/master
    
    Set security slider to safest.

commit 91bf98e9e1baedf0c048a4ccbefb8a74c55f3c5c
Author: 0brand <0brand@mailbox.org>
Date:   Fri Jul 12 03:16:09 2019 +0000

    prefs to set security slider to safest

commit c6b4d44d8ff19ab0b02485a5f37925f1b7f6abb8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 11 07:17:39 2019 +0000

    bumped changelog version

commit 9656e0a35d115c07281ebe29becb5e3f5ec571e3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 11 07:01:00 2019 +0000

    tbb_hardcoded_version

commit d6eceacf16735994e62ed66a5ad8378830192fcf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 30 08:24:58 2019 +0000

    bumped changelog version

commit 4c6b06efa9965c896eb547ba362598321ea1fa15
Merge: 2104d8b 5fb1ce5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 29 16:45:37 2019 -0400

    Merge remote-tracking branch 'origin/master'

commit 5fb1ce5ac698f700f41ccbaf7688f98d26d9cc74
Merge: 2104d8b 55ef9c5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 29 20:45:24 2019 +0000

    Merge pull request #9 from adrelanos/master
    
    do not copy Tor Browser by default to user home at first boot

commit 2104d8b4bfaaf597e0b38d8316b4f4ae1cf8e38f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 29 16:39:22 2019 -0400

    man page

commit 48cbdf31d635aee624d31a4fa5d041ed8817cdf7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 29 13:45:41 2019 +0000

    man page

commit 8de3a29008a08890234d8fa47ce359f522b6b8fc
Merge: c6e0ab8 1bb2c19
Author: 0brand <0brand@mailbox.org>
Date:   Fri Jun 28 23:24:42 2019 +0000

    Merge pull request #2 from Whonix/master
    
    Sync with upstream

commit 1bb2c1917ff68ca1b9293d26d61da6c64dc5bb77
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 27 12:39:53 2019 +0000

    bumped changelog version

commit 2c3b4491d35a70bf79e663145c65d3533a1bac61
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 27 12:33:30 2019 +0000

    do not copy Tor Browser by default to user home at first boot
    
    because that wastes space in VMs that will never use Tor Browser
    
    do it at actual first start of Tor Browser instead
    
    https://github.com/QubesOS/qubes-issues/issues/4918

commit 55ef9c596b8d97319ef1bffce3035a4b4df79605
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 27 12:33:30 2019 +0000

    do not copy Tor Browser by default to user home at first boot
    
    because that wastes space in VMs that will never use Tor Browser
    
    do it at actual first start of Tor Browser instead
    
    /usr/lib/tb-updater/first-boot-home-population

commit 072a2b8851bf01a254acc4a51e917153ee74fe97
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 27 12:24:26 2019 +0000

    output

commit e223cee0d7de4adcbbc4931449b3ab8257b9e71f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 27 12:21:00 2019 +0000

    output
    
    https://github.com/QubesOS/qubes-issues/issues/4918#issuecomment-505838582

commit 2b6209fa4c1bac8e84d676a0aec36628bdf5f3c0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 27 12:18:08 2019 +0000

    reduce old versions being kept to 0
    
    TB_KEEP_OLD_VERSIONS_COUNT="0"
    
    https://github.com/QubesOS/qubes-issues/issues/4918

commit 8163b06f7c9084888ea0d97c932761a1cf2963e7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 23 08:39:06 2019 +0000

    bumped changelog version

commit 3a2ebc302d17f2a04128bbf084a5b2f3f14ace0d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 23 08:36:07 2019 +0000

    tbb_hardcoded_version="8.5.3"

commit 68f15ee844e8cc93239f99e82a66d3f34cea1985
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 22 06:14:03 2019 -0400

    fix output

commit 97c40f5cc67c126e2719ff01ab1939c660ccbd25
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 22 06:13:18 2019 -0400

    fix output

commit 76a6ee8909d6be6f90d44426d18216248f852768
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 22 06:10:40 2019 -0400

    refactoring

commit e6c903b77fc04f3abeda1a20d373974d440613e7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 22 06:02:03 2019 -0400

    local

commit 642981085e7d2d9d5ca1390b6747b025d5a2bb3c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 22 06:01:48 2019 -0400

    fix variable name

commit 48aa84be53fd37af94212d6109a5ccd9e20bfcd5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 09:27:17 2019 +0000

    output

commit a3a01cd301aa425fcf957d27b08bd0f7fdd27a80
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 09:12:47 2019 +0000

    bumped changelog version

commit e9bfbe1eb07afca9596e8fabfdacccd7f586ac9d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 09:10:49 2019 +0000

    Revert "SecBrowser: Set security slider to 'safest' by default."
    
    Since doe not work.
    
    This reverts commit 88bd9ac4e9c4bb1e441432923ade2a6d980b30ac.

commit 88bd9ac4e9c4bb1e441432923ade2a6d980b30ac
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 08:56:41 2019 +0000

    SecBrowser: Set security slider to 'safest' by default.

commit 23c206e2db03c5166185aec2388f699c6886072c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 08:49:06 2019 +0000

    fix alpha version setting

commit 2d0d744022b309aca49522a1017448c25c7a521a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 08:29:13 2019 +0000

    debugging

commit 261ed44ec26da8fc01089b3301daa9cd4b344397
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 08:23:27 2019 +0000

    output

commit 229b843d5590b30b42b2488e5808bddc2e49a55f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 08:19:58 2019 +0000

    implement /usr/local/etc/${tb_settings_folder}/*.conf

commit 9c730731b98314260a6c26263f4cd6a24180ac9d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 07:59:24 2019 +0000

    default to tbb_download_alpha_version="false"

commit aea2503f07d080c9cd35fe6cc55b52751f33f538
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 07:58:02 2019 +0000

    harden version parsing; fix

commit ccb1aec2a1ad5fd36c6d20c389234d19b98a1e68
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 07:51:59 2019 +0000

    refactoring

commit b250708eebc33faae2ceda9f8c281b965dfc9cc7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 07:49:54 2019 +0000

    refactoring

commit 89f362ff3009ac352a84de1e7e6461e04d3c494b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 07:49:07 2019 +0000

    implement option to set tbb_download_alpha_version=true

commit 90de95d5a1fea484b8a9d560ada8372d42c7848c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 07:35:23 2019 +0000

    implement option to set tbb_use_alpha_hardcoded_version="true"

commit 7bc1d199c275d50eb50cd8648b5dadaa83e785e3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 07:31:33 2019 +0000

    add usr/share/tb-updater/tbb_hardcoded_version_alpha

commit 037852e74d140862215a89fcd90e8cd190f954b6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 05:41:08 2019 +0000

    bumped changelog version

commit 82d3dfd8aad2261e0d5c606050fe26e7eed2299d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 03:52:52 2019 +0000

    output

commit aab4a5df1552fa8547dafad8cf5e90f9f800101b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 03:40:58 2019 +0000

    bumped changelog version

commit f34fd09770548bbe8aeb6538766fd1d00fee86ba
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 23:23:09 2019 -0400

    output

commit 09db795697aa1c7fd7968aeec8307ecc4eb0ae13
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 23:18:35 2019 -0400

    output

commit 7238a3e9ece82fd48807616a7dcf33ac1c27496a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 23:13:15 2019 -0400

    output

commit 36561b7f8b54605ea33f4842930f2cdabcd17365
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 23:04:33 2019 -0400

    re-implement Tor Browser local version number detection
    
    https://phabricator.whonix.org/T400

commit 3bd352a4c3da2c0c196388d42a6ea462176da668
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 22:41:18 2019 -0400

    output

commit b9aa971eb5c9adde6a874a2a7d87e095db1fb5a9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 22:11:50 2019 -0400

    output

commit a2fb1c329927a9cc9ade32f8631705b558266891
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 22:10:48 2019 -0400

    output

commit 01ee1b4a13a1e7f760bc950b6addba986c6532c6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 22:07:58 2019 -0400

    output

commit f310ec92926ed9a572c32957becc9b91f5f880f6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 22:04:25 2019 -0400

    output

commit dde30921d73fd5b4e466d635532b348318b108a4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 22:01:59 2019 -0400

    output

commit c95c765f10f1c6df32f8a4bf345e6560851019b7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 21:57:45 2019 -0400

    output

commit 290de503353e4f3a6213d2573bceb4fa20747ee9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 21:57:05 2019 -0400

    output

commit 2d9d1d390af638a71504e7b9a714caf48bc4f5e9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 21:51:57 2019 -0400

    renamed:    man/update-secbrowser.1.ronn -> man/download-secbrowser.1.ronn

commit 9e67d749aa57ad0cab908476938315adf1d03bce
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 21:51:37 2019 -0400

    man page

commit cb10e224ffc9d94c4f1c242382ebe9e8a78ac707
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 21:49:13 2019 -0400

    typo

commit 2315e7a87f6e55315cab280c966643f4e9f189a2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 21:48:06 2019 -0400

    implement /usr/bin/download-secbrowser

commit 20e2e148e6d3f282c70dfdd355272f4d42b356d4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 21:39:12 2019 -0400

    chmod +x update-i2pbrowser

commit cd4bf455321b339d17622fe8c6079cd86620778e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 21:04:59 2019 -0400

    abolish variable tb_proxy_name

commit 4774d93d451fd2f124cb6f777796de71888e45db
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 20:57:58 2019 -0400

    allow overwriting ICON variable

commit bfdd65e9b50f77c1896befac01acde84461dbe13
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 20:56:10 2019 -0400

    fix, export ICON

commit 71ff4c5cb7c7913f67c87f5d406115dc80d7a0bf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 20:53:45 2019 -0400

    abolish tb_name variable (replaced by tb_title)

commit 16f6dedd8b98af6f41c60879adfef07020a84355
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 04:40:21 2019 +0000

    bumped changelog version

commit bc427469b54ca5e59c87dd2a457ddc9e6eb0026c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 00:32:10 2019 -0400

    tbb_hardcoded_version="8.5.2"

commit c6e0ab82d6dfb5c285b4460f1a0bbd492ae2319f
Merge: 8da835d 4f62bfc
Author: 0brand <0brand@mailbox.org>
Date:   Wed Jun 19 03:17:06 2019 +0000

    Merge pull request #1 from Whonix/master
    
    Merge Whonix with 0brand

commit 4f62bfc361603fcb80eff928bac07cd0686406fc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jun 10 15:43:30 2019 +0000

    bumped changelog version

commit a3efaa83299d0c45ff670946704f4470e029ba5f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 9 05:18:46 2019 -0400

    tbb_hardcoded_version="8.5.1"

commit b4aeabde5258bec272d7cf1d47cc0db8da3d3d38
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 11:35:37 2019 +0000

    bumped changelog version

commit 7a5a64b7d2ccdc9528229808ad198ddf52855917
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 00:05:36 2019 -0400

    fix debian/watch lintian warning debian-watch-contains-dh_make-template

commit 7ffc4e0a8b9fc691f0fabe5eb44a550c124fd0ce
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 20:55:33 2019 +0000

    bumped changelog version

commit cbe3b456fe3ee407f691969cb78c38afd2ee929b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 12:29:10 2019 -0400

    readme

commit 4f8b57f4ca4fa0ba7d2db55e0d931488181ffe2b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 23 22:38:41 2019 +0000

    bumped changelog version

commit a2b56e6058a20dcd8d18c03667210cd9fbb55d37
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 23 22:36:45 2019 +0000

    tbb_hardcoded_version="8.5"

commit 063e32593b3ff34ee3528d16940f56300a9a8398
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 23 06:45:26 2019 -0400

    save passwords by default for Non-Whonix ™ Tor Browser
    
    https://www.whonix.org/wiki/Install_Tor_Browser_Outside_of_Whonix

commit c047a66b4fe61ceee63e4ab72e097e8997e3fa78
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 23 06:43:20 2019 -0400

    coypright

commit b4c74536aa58a3ce82070e1c530f4bc996ba4269
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 23 06:43:05 2019 -0400

    minor

commit 19ae966faf5796db91d6f7050dfcb86cd2dec1cb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 23 06:42:52 2019 -0400

    typo

commit 8d0bc710ad2673b317330ca8da06837015d1e204
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 23 06:42:25 2019 -0400

    minor

commit 86ac38879ab4711c389ecc2450a991ecb5a7c89d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 10:50:44 2019 +0000

    bumped changelog version

commit 69100bd44ff74deb6801fd568904358333f05941
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 03:10:19 2019 -0400

    minor

commit 35777be2facce04ec519e68cf3c3ffe521a01699
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 02:58:45 2019 -0400

    update path to pre.bsh

commit 8c45de0a16e09fc07fc442279c1768ada707d249
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 02:50:16 2019 -0400

    anon-shared-helper-scripts -> helper-scripts

commit 55b9b8d361bb1c3f4500cc565e5d9a7171620c28
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 8 10:33:26 2019 +0000

    bumped changelog version

commit 35b1da98cd9ec3b5fdfcede95117ec736c2dc0b9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 8 10:32:33 2019 +0000

    tbb_hardcoded_version="8.0.9"

commit f87b1c012af609b04d31b1f7600a4cc224815164
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 11:37:32 2019 +0000

    bumped changelog version

commit 6034fc325b1b83ada96fb662edcc9d12614860a0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 10:56:57 2019 +0000

    update

commit a08ce38012b0523dd3607b9608bb0b3da4d1a117
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 10 17:27:07 2019 -0400

    bumped changelog version

commit b0a5566dc4b568c0642a19c27a551759a83bc16c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 10 17:26:12 2019 -0400

    sudo

commit 291c06a0f8929fe5d3d2d8715a1b33f4ca0322ef
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 12:16:44 2019 +0000

    bumped changelog version

commit 1e6366f2bed200be6bfc99eaec90cc6f1988cfb5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 5 09:45:56 2019 -0400

    user runuser instead since we no longer can use chown --recursive
    
    to avoid file permission issues

commit 25c2a7a3ef9a21b126c254b690e7e2916808ecda
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 5 09:32:25 2019 -0400

    fix lintian warnings
    
    maintainer-script-should-not-use-recursive-chown-or-chmod

commit 49d09ba41c7b80c0b40b43a56aca2edc6d208bc9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 11:07:58 2019 -0400

    port to debian buster

commit ba5cf068affcc7a484a67264d532073f6bfe03ec
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 05:51:07 2019 -0400

    port to debian buster

commit b9e05d5740ed8c2e780563c33a5d7e62cb65d7ad
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 3 18:05:57 2019 -0400

    readme

commit 8b63a8f161e93d9779b25deba37f06a5ddc2b193
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Mar 31 10:59:17 2019 +0000

    bumped changelog version

commit c80a4233003564fd648555110e17de9210cd72e5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Mar 31 10:55:14 2019 +0000

    support version format using &#34;
    
    https://trac.torproject.org/projects/tor/ticket/29936#comment:5
    
    https://forums.whonix.org/t/tor-browser-downloader-by-whonix-error-could-not-find-out-latest-tor-browser-version-excessive-version-string-length-323-characters/7063

commit a4c80e4aec6a9d2378d070878f86b9ef2b985cfa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Mar 31 10:44:21 2019 +0000

    follow redirects
    
    https://forums.whonix.org/t/tor-browser-downloader-by-whonix-error-could-not-find-out-latest-tor-browser-version-excessive-version-string-length-323-characters/7063/8

commit 5112520eb6b89b4124f859b6760e96b1c64d0676
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 10:05:55 2019 +0000

    bumped changelog version

commit 77ea96a6c1cfb51ddb3d16e69a5d7444130b46e7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 09:03:19 2019 +0000

    https://www.whonix.org/wiki/Dev/Licensing

commit 870d1ba4a879c954529e5ad715d390b05fbf031f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 25 11:56:34 2019 -0400

    tbb_hardcoded_version="8.0.8"

commit 153d41bc883e1bf09ac00f9d1d8ab91901626a90
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 21 04:57:29 2019 -0400

    tbb_hardcoded_version="8.0.7"

commit f778bc65740059706c734c211f72b583363caacd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 12 11:39:35 2019 +0000

    bumped changelog version

commit 74994965d2db575fb80a89e307b4b80953279e0e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 1 14:32:42 2019 +0000

    add improved legal protections clauses
    
    The license for software created by Whonix is the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version with additional terms applicable per GNU GPL version 3 section 7.
    
    The additional terms are based on the Doom 3 license which is Debian refers to as `GPL-3+-with-id-software-additional-terms`, which is Debian DFSG [1] (The Debian Free Software Guidelines) approved and which is therefore suitable for Debian `main`. Whonix made applied minimal changes to it:
    
    * Rewrite `The Doom 3 BFG Edition GPL Source Code` to the more common `this program` which is used throughout the GPL.
    * Added a "trump clause" [2], in other words, any conflicts or disputes between the additional terms and the GPLv3 shall be resolved in favor of the GPLv3 by adding `Notwithstanding any other provision of this License` (as mentioned in GPL FAQ [3]) at the beginning of the additional terms.
    
    [1] https://www.debian.org/social_contract#guidelines
    [2] https://www.fsf.org/news/canonical-updated-licensing-terms
    [3] https://www.gnu.org/licenses/gpl-faq.html#v3Notwithstanding
    
    For more considerations, see also:
    https://www.whonix.org/wiki/Dev/Licensing

commit 3b90f003c36f3cea133e00fa96c99d905be13e05
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 1 07:30:32 2019 +0000

    bumped changelog version

commit 7edfd2e846fd7dd75c2e3265029ccc066932f095
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 1 07:29:47 2019 +0000

    fix UpdatesProxy detection in non-Whonix TemplateVM

commit 2e547d4efb190c15713a3f83c587d115b67a4259
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 1 05:19:19 2019 +0000

    bumped changelog version

commit a803b6e0f314fbeb6269bbd4bd1c9ecc8ac63d6c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 28 19:21:39 2019 +0000

    cleanup

commit 1e9a3d28f527d9a4d2e4d4e8389a6292e12db11c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 28 18:14:04 2019 +0000

    skip Tor connectivity check if running outside of Whonix

commit 40177c2a99f6706e00dcdf54ff94216b78b4307a
Merge: cbb55ac 867c23c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 28 05:22:28 2019 -0500

    Merge remote-tracking branch 'origin/master'

commit 867c23c1e2b4f7b270bd59ea84ccadbd4c5c5f6c
Merge: cbb55ac 8da835d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 28 05:21:53 2019 -0500

    Merge pull request #8 from 0brand/master
    
    Tor Browser without Tor with normal browser settings.

commit 8da835d900783d5a3472d6aa7ac2c3a3ee70a85d
Author: 0brand <0brand@protonmail.com>
Date:   Wed Feb 27 23:55:35 2019 +0000

    Check if Tor is working in Browser

commit d69dce9f404d8df3d0e963384e93671968b29c62
Author: 0brand <0brand@protonmail.com>
Date:   Fri Feb 22 01:38:53 2019 +0000

    Tor Browser without Tor with normal browser settings.

commit cbb55ac1266651c0223792e76d350e08a9ef5516
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 16 08:26:19 2019 +0000

    bumped changelog version

commit 69165b1b33929bf27a5228f0f3c32b23e150e0d9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 16 03:25:15 2019 -0500

    tbb_hardcoded_version="8.0.6"

commit b5c1c58c9e3106288464dd741497b1265081e1f9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 1 09:06:27 2019 +0000

    bumped changelog version

commit 9c0c9814a8e1ac1e71c81a034a1dcce7001ddd33
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 1 08:45:44 2019 +0000

    debugging

commit 22c77da33e359252f52baca1ac0fc2ab91460727
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 1 08:41:46 2019 +0000

    fix, run anon-ws-dns-conf handling at appropriate time
    
    after parsing all variables, config and command line input
    
    thereby fix an issue breaking the build process

commit 4898edaef8f3e4ad4871c3ea97f7c5f4396b03aa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 1 07:22:41 2019 +0000

    bumped changelog version

commit 9a107265b899ad3118cbf658af3b7786b50133a1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 31 14:55:45 2019 -0500

    debugging

commit fe5fb355787bc57ff54066cf90ad87f0032e9b1c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 30 10:01:56 2019 +0000

    bumped changelog version

commit 409d1a1fb9d694b2b019e2f7c62d2dcbc68e5766
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 30 04:09:35 2019 -0500

    tbb_hardcoded_version="8.0.5"

commit 3d067e49ab9f6e195056a744bea3a445c83b7e16
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 22 07:27:35 2019 +0000

    bumped changelog version

commit fcdb63d8d5a991645a977cc911edd3700ba0f5d2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 22 07:23:28 2019 +0000

    debugging

commit 911e10ed4f9c78451d482bb56b69597a0cbb5eb8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 22 07:11:29 2019 +0000

    man

commit 9f758e241d1a699de96de0784a9e6cf93fe0d440
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 22 07:10:29 2019 +0000

    implement --onion

commit bc897d8b7b5c8159c20a9bbe1d6122cb66b32a00
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 17 09:18:59 2018 +0000

    bumped changelog version

commit 456b5f92ec8a45ecf8576538f2ebc89f352fc166
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 17 04:12:20 2018 -0500

    tbb_hardcoded_version="8.0.4"

commit 6cd1f151675e0ec9b5ad70bfb601dd5608d71029
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 24 09:25:16 2018 +0000

    bumped changelog version

commit c39f5f9cbe0c03ae6c998d7767a19b450f225a11
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 24 05:21:21 2018 -0400

    tbb_hardcoded_version="8.0.3"

commit acf357ee703a7c06f68bf42299fc53f714070d3e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 8 11:43:44 2018 +0000

    bumped changelog version

commit 41ea08ea2ef8e1f50e9b894a2dae7a8915837875
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 8 11:39:08 2018 +0000

    tbb_hardcoded_version="8.0.2"

commit 5691d67bc04fa0e45d96f4010c1057db3e6ba596
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 1 05:39:35 2018 +0000

    bumped changelog version

commit 1b6811af8214793e1b2bb18935e9ab039afaa508
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 28 00:32:50 2018 -0400

    tbb_hardcoded_version="8.0.1"

commit 71d51d24c15163cc9ab340b94411dc88c78523d3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 6 07:38:23 2018 +0000

    bumped changelog version

commit cbe516a3e18d5d8531ffc0d3f6a71f69349486ce
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 6 06:47:58 2018 +0000

    tbb_hardcoded_version="8.0"

commit 6a6d31c32a1a685d82c54db82f6190b372aba202
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 27 21:21:42 2018 +0000

    bumped changelog version

commit 3cdd0335ea929b0d37438602ca69b78524587d98
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 27 21:17:20 2018 +0000

    fix
    
    https://forums.whonix.org/t/bug-tor-browser-missing-in-dispvm-tor-browser-missing-in-whonix-ws-14-templatevm

commit 8897c582ef3796f494a92c6608593a35e8b6c70e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 27 21:13:49 2018 +0000

    update TBB signing key

commit 78062a55669ddab1d63fb91dec059f9172a584e7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 27 16:52:48 2018 +0000

    bumped changelog version

commit 930b7a518f92b23a6f6106fd7be1df9aff8f0b4f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 21 05:18:39 2018 +0800

    readme

commit 96472b91cc8d777ae6f366c57b834d1e439b94fa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 9 20:26:54 2018 +0000

    bumped changelog version

commit d9dbf2a915c65b666f213753e9f0cdd4c4eecc84
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 9 17:49:01 2018 +0000

    Depends: msgcollector-gui

commit da40eaf3538bc7b5b53c04feb3204d992e7149dc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 3 05:40:54 2018 +0000

    bumped changelog version

commit 53ab1e6f2683f42aad66bb36f0e720f74ebe0419
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 28 08:36:35 2018 +0800

    tbb_hardcoded_version="7.5.6"

commit 64436d0bad01971cee833a16991eec2f7606b5b1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 28 07:57:13 2018 +0800

    update tbb signing key with new sub keys
    
    Thanks to @pgerber for the heads up!
    
    closes https://github.com/Whonix/tb-updater/pull/6

commit 0a2367f093752c09b4c8a77359b36324cfa25b8d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 19 08:02:21 2018 +0000

    bumped changelog version

commit 24c9f42d2c0594c906928e2efc68d47017fec815
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 19 07:58:11 2018 +0000

    store last downloaded version during postinst to not needlessly redownload it
    
    if hardcoded tbb version number has not been bumped

commit 1a39b6b5a5e15544aa4e037c1ef98f163616ac9b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 14 07:38:13 2018 +0000

    bumped changelog version

commit 9bb89416c7e30e91f6abf8bfe00c95b56ce128b2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 14 07:06:05 2018 +0000

    output

commit 5358c2c20c7dedbb98b239d2774906df98c97d49
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 14 07:04:02 2018 +0000

    simplify i2pbrowser man page

commit e053656deede9dee2c79b41b5f31c411f8dd6237
Merge: 44cf7d3 f6ed4ed
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 14 07:01:40 2018 +0000

    Merge remote-tracking branch 'origin/master'

commit f6ed4ed880ceaf2341a3244b4e02437e772c1c1a
Merge: 44cf7d3 779620c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 14 08:58:01 2018 +0200

    Merge pull request #5 from eyedeekay/master
    
    Show different strings when downloading with --i2p, add update-i2pbrowser script

commit 44cf7d33cc7b3c101791eb7ad25cadf771e2e127
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 14 06:45:16 2018 +0000

    refuse running inside Qubes DVM Template
    
    https://forums.whonix.org/t/qubes-dispvm-technical-discussion/3232/60

commit 779620caf8f177c6bb5c80c0082b567f209d0883
Author: idk <problemsolver@openmailbox.org>
Date:   Thu Jun 14 02:11:46 2018 -0400

    add update-i2pbrower.1.ronn

commit 2ad67c00beaae029c771021af2b81f73fa283a3e
Author: idk <problemsolver@openmailbox.org>
Date:   Thu Jun 14 01:52:58 2018 -0400

    switch to original log filename for now.

commit 187163f3974c0fc031fe1ec58bd2434613b000ad
Author: idk <problemsolver@openmailbox.org>
Date:   Thu Jun 14 01:49:11 2018 -0400

    fixed the unused variables from the update-i2browser script

commit da38e28812c5570a1007aa3ab8486039cfb40e50
Merge: 0bde176 d966dfd
Author: idk <problemsolver@openmailbox.org>
Date:   Wed Jun 13 22:39:02 2018 -0400

    Merge branch 'master' of https://github.com/Whonix/tb-updater

commit 0bde1763d87411304075c84e9969ed30932e89f4
Author: idk <problemsolver@openmailbox.org>
Date:   Wed Jun 13 21:44:34 2018 -0400

    use a variable tb_bin to point to the binary to run after the script when called by tb-starter

commit 2045a31e815706a4b911cd0e7d70266209098451
Author: idk <problemsolver@openmailbox.org>
Date:   Wed Jun 13 21:32:13 2018 -0400

    use a script-wide variable to name the browser

commit e24a915c63c66eb7c83535d662155c0ff85c275b
Author: idk <problemsolver@openmailbox.org>
Date:   Wed Jun 13 21:09:36 2018 -0400

    postinstall script for i2pbrowser

commit f95960f0898021a0f96012e5d893a684e6a580c4
Author: idk <problemsolver@openmailbox.org>
Date:   Wed Jun 13 21:04:56 2018 -0400

    add early /usr/bin/update-i2pbrowser

commit 4d489a0059b478f3db3d85812198f7e27408f03e
Author: idk <problemsolver@openmailbox.org>
Date:   Wed Jun 13 20:58:43 2018 -0400

    Change strings when running with --i2p

commit d966dfd04b1e6ee0eef7182366195cf01e3b9cae
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 13 07:12:19 2018 +0000

    bumped changelog version

commit bf97f1aa312e8aa84c9b47308295ff28d66503b7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 13 05:22:19 2018 +0000

    tbb_hardcoded_version="7.5.5"

commit b82a6af443754e485b92e469a8384729cfd4db88
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 12 14:02:50 2018 +0200

    fix

commit cfab391d7320f40c536eb3fa1a4e9e1e8703da92
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 12 13:49:11 2018 +0200

    fix

commit 5556612474485740c6cd0d1103c6da1ab053b3dd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 12 13:48:36 2018 +0200

    fix

commit 8559c8c46d0946ddce577e8c4d8b7f7d0896a560
Merge: 8549f38 d2ce6a7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 12 13:46:25 2018 +0200

    Merge remote-tracking branch 'origin/master'

commit d2ce6a7f8199e4f67b286034fddd2b87a92b6bb3
Merge: 8549f38 9dbd790
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 12 13:43:11 2018 +0200

    Merge pull request #4 from eyedeekay/master
    
    Make sure variables are available to tb_preparation

commit 9dbd79093ac5901016f39b54f7780f0a8dc84575
Author: idk <problemsolver@openmailbox.org>
Date:   Mon Jun 11 16:26:52 2018 -0400

    fix shellcheck thing. Didn't mean to do that.

commit 76ee8046605fba9f77f51c5662648b16cd397629
Author: idk <problemsolver@openmailbox.org>
Date:   Sun Jun 10 21:54:29 2018 -0400

    use tb_install_folder_dot

commit bee4ed4d52b8525e8b6d86e058ff176abebea7f4
Author: idk <problemsolver@openmailbox.org>
Date:   Sun Jun 10 21:28:16 2018 -0400

    fixed issue with new vars not being available to the subsequent functions

commit 8549f38a4a8df9842b7b20e76fcd896f2bdc01a0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 10 21:41:55 2018 +0200

    refactoring

commit 8b881a013da8d676a6d8ec2b2c19e0e32f6f96b0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 10 21:39:19 2018 +0200

    refactoring

commit bee2cb163688345729b1eea258647374bf3751fa
Merge: 0cc4df0 fffd868
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 10 21:12:08 2018 +0200

    Merge remote-tracking branch 'origin/master'

commit fffd8680ce826d0ec5a2dad80130cc357a1af5f5
Merge: 0cc4df0 f88aba5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 10 21:10:04 2018 +0200

    Merge pull request #3 from eyedeekay/master
    
    Add support for downloading to a separate path for an i2p-specific Tor Browser

commit f88aba58039898a6514be247a3916f50b8cf4302
Author: idk <problemsolver@openmailbox.org>
Date:   Sun Jun 10 01:37:04 2018 -0400

    use per-proxy conf folders

commit 0cced2be0669b87426d4add36029c323b7f254ae
Author: idk <problemsolver@openmailbox.org>
Date:   Sat Jun 2 02:11:31 2018 -0400

    made the home and install folder configurable in preparation for custom(i2p) proxies.

commit 0cc4df08ec48093ac85b2fce5450b56eefa4cfe1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 10 08:14:26 2018 +0000

    bumped changelog version

commit f0233db0939b5193b4eec03ffcdb90ac3918b3fb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 10 09:59:06 2018 +0200

    tbb_hardcoded_version="7.5.4"

commit ef70ba3a2e38f8a035f8d1e3d8b8912cc7f953ff
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 2 12:53:23 2018 +0000

    bumped changelog version

commit 8a923d959fb2c0a3e2a4af554cfb2decef0dfa91
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Mar 28 14:01:17 2018 +0200

    move done_file to home folder
    
    https://github.com/Whonix/tb-updater/issues/2

commit 436307b6ceeb71d1ed017037aff105fc1e6a1c04
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Mar 28 13:38:05 2018 +0200

    tbb_hardcoded_version="7.5.3"

commit 1766f0222e6502f5b43d9e4938a64ca8a24b500d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 1 15:23:12 2018 +0000

    bumped changelog version

commit d514fc9e977acf400dab3fa9a2007cf9944beb14
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:57:58 2018 +0000

    tbb_hardcoded_version="7.5"

commit f3fa00bdb44d9eb87e21b43119575f56eceef8d2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:50:38 2018 +0000

    readme

commit 7d345a421aadc2d212d5de83ed410d86f16fb0b2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:38:59 2018 +0000

    update copyright

commit fe8a5dd478734574b17ce6a928465e26d34623a2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:22:08 2018 +0000

    update copyright

commit 4d2a74c5b1fc87540454156b02ac0111d4f78200
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:15:20 2018 +0000

    update copyright

commit 44a63a97c4995bb0b0c04c8f121a99880d63251c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:09:45 2018 +0000

    update copyright

commit 2211bb56f441013d7d72f42297b7c2af6c6127a1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 28 23:11:44 2018 +0000

    comment

commit 13adaded09ac7f68cabcf8e1a1f95a2579f31246
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 7 21:44:55 2018 +0000

    bumped changelog version

commit 998ab907177195db61cf833bf7cf3da2de35656b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 7 21:43:24 2018 +0000

    fix connectivity check

commit 6bdfed0a3bcc47879b30eb3df273f673fc1a3e17
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 7 21:36:16 2018 +0000

    fix DNS resolution inside Qubes chroot

commit 1d6c8ef90c1d4a8832b89642d2a419e4204cc2f7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 6 18:07:20 2018 +0000

    bumped changelog version

commit 7551231f69947c038ea287cf6e4bb26cf153a8db
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 6 18:06:17 2018 +0000

    update connectivity check url

commit 5d470c0d313c8f27fceadba527db3641fa4b3a22
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 16 21:47:18 2017 +0000

    bumped changelog version

commit 5250c8ff791e6c871d03d5d59578e4d57773acd3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 16 21:46:44 2017 +0000

    remove non-ASCII character

commit 85bff41088879ab49e3894406555010a353dbc76
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 16 20:38:08 2017 +0000

    bumped changelog version

commit f8c6bbdea1dfd875cd7e2a6500a9b0acb5c7bcad
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 16 20:37:44 2017 +0000

    fix, tbb_hardcoded_version="7.0.11"

commit df63c3008fd76e2343399b25bf18a77088b97fd7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 16 20:28:31 2017 +0000

    bumped changelog version

commit b93d2e613b91376b42f865e4c2c530f037f86509
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 16 20:27:26 2017 +0000

    tbb_hardcoded_version="7.1.1"

commit 079d553dcf89ddc0d4ff551c4eb4219fb43e245b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 15 18:42:59 2017 +0000

    bumped changelog version

commit 49a23475915e809b9a58403181fb0218d349952d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 15 18:13:59 2017 +0000

    first-boot-home-population: avoid running in Qubes DVM Template
    
    https://phabricator.whonix.org/T726

commit ba25d76e8b52fb370a30dfad72222e92f88abd99
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 21 22:56:13 2017 +0000

    bumped changelog version

commit 9362faf0d751c907b94b99c3f6a063c535943c8e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 21 22:55:34 2017 +0000

    tbb_hardcoded_version="7.1.0"

commit 0b6d94af7fe567e72244bd19e39bbe8e6241fb56
Merge: 522ea49 a4e27d8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 21 22:54:51 2017 +0000

    Merge remote-tracking branch 'origin/master'

commit 522ea49ef18ab0804492fbdbb4aad932e2745e84
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 21 22:52:38 2017 +0000

    bumped changelog version

commit a4e27d8904d68ae4a17e18b1b844bbf11be17c91
Author: Jason J. Ayala P <JasonJAyalaP+Github@Gmail.com>
Date:   Wed Nov 8 20:54:00 2017 -0600

    Update tbb_hardcoded_version

commit f331f2b3073743f0a6e1f21a53415e068563be43
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Oct 20 15:54:30 2017 +0200

    Skip Tor connectivity check when running inside Qubes TempalteVM,
    because since Qubes R4 TemplateVMs are non-networked by default.

commit 645d41d56184df7a9743f9322010a7aa03e5823e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Oct 20 15:37:40 2017 +0200

    tbb_hardcoded_version="7.0.6"

commit 1ce837d7b0341e5a7d78751cb1b44d7241f0d217
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Oct 20 15:35:08 2017 +0200

    tb-updater Qubes R4 qrexec based updates proxy compatibility fix
    
    https://phabricator.whonix.org/T491

commit b999e652e1897835699840b33cc366ebd0e2c866
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 27 12:48:11 2017 +0200

    bumped changelog version

commit 5ef4bca2f6c7027b9dd6da1f68c1f26ab04de040
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 13 14:48:45 2017 +0200

    tbb_hardcoded_version="7.0.5"

commit 184c670fe04f09b634cb4963eecec6640670d705
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 30 20:58:34 2017 +0000

    bumped changelog version

commit 6b4811ec346863b17e221603c28954c86bc78078
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 28 10:44:56 2017 +0000

    fix tb_move_old_version ls -dr

commit d2f7486f3ca860e3f8a6e2e3e640184076c6cc1f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 24 11:15:56 2017 +0200

    fix tb_move_old_version ls -tdr

commit 0ed49937689b108d6821e175021035e85e2c354c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 24 11:01:04 2017 +0200

    tb_move_old_version fix ls -dr

commit e4ddbf0df04fbb7c21975d513c1419fe174bdaf7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 15 15:10:27 2017 +0200

    tbb_hardcoded_version="7.0.4"

commit c6341a828fe1e18eb0a18ebd468087649ac881a4
Merge: 29bdd17 e01fab8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 15 15:09:12 2017 +0200

    Merge remote-tracking branch 'origin/master'

commit e01fab86ff5c4f60e925d706244d2e1c9fe8253b
Merge: 29bdd17 6363982
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 15 15:06:27 2017 +0200

    Merge pull request #1 from marmarek/update-cleanup
    
    Remove old versions of tor-browser

commit 63639829065b52f20880f027f75aa298d0174f8f
Author: Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>
Date:   Sat Aug 12 12:29:40 2017 +0200

    Remove old versions of tor-browser
    
    Do not accumulate them indefinitely. By default keep last 3 versions -
    when user have made some customization, he/she will be able to migrate
    them to newer version. This limit is customizable with
    TB_KEEP_OLD_VERSIONS_COUNT - set it either to a number of previous
    versions to keep, or "all" to keep them all (previous behaviour).
    
    Fixes https://phabricator.whonix.org/T671

commit 29bdd1750ea9e9017a3f174697f37ee54253e5f6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 29 14:21:52 2017 +0000

    bumped changelog version

commit 72661b9cb92b15ce06229b34ce2b977ea6629c37
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 29 16:15:25 2017 +0200

    tbb_hardcoded_version="7.0.3"

commit 429d48314f8c190195ad1606ec7e36878f23036b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 26 14:39:05 2017 +0000

    bumped changelog version

commit eb8188e209bd320367e00a5ae2bcce70b5185750
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 26 14:20:20 2017 +0000

    signed commit

commit c1429414791ad2e57c32cb958d02baaf80f82f5c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 7 23:26:49 2017 +0000

    tbb_hardcoded_version="7.0"

commit 8805f2949c226cd76c8949442c391151f1cc9b0d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 6 02:21:46 2017 +0200

    tbb_hardcoded_version="6.5.2"

commit 42002a26634e71dadd108498d605e35003871d0e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 10 16:49:32 2017 +0000

    refactoring, prettify xtrace

commit 37cd2b6e2e720aef1063b7f92a9244998282e75f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Mar 8 15:09:46 2017 +0000

    tbb_hardcoded_version="6.5.1"

commit c33a98ad6ed1604e04362054b137ef5278bf4589
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 6 16:17:01 2017 +0000

    bumped changelog version

commit b5070088d10afdc84d4ec18b6e59b84ba4c524df
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 6 15:00:03 2017 +0000

    "$@"

commit 89710baa21543aa8d292d3368a50649549eb364f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 27 02:04:32 2017 +0000

    bumped changelog version

commit 9f0aa02b40cb8e300187118bde82fe79f11bf162
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 24 23:29:16 2017 +0100

    tbb_hardcoded_version="6.5"

commit 6037c4f591ada0fa885f4ead60bec52a29d92fac
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 17 14:10:40 2017 +0000

    bumped changelog version

commit 3453ed6a8ec998aeaa4f5116bcb6d30967907cd2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:47:52 2017 +0000

    remove faketime from Build-Depends:
    
    since no longer used for reproducible builds

commit ee73790f36c6f960ebee240e798ad6c1ebc4a48d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:35:26 2017 +0000

    remove debian/gain-root-command workaround

commit 696b389319574c5d91de9acf7c71954087cc4523
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 01:58:52 2017 +0000

    read -t 2

commit 23891ba9a7de87f514bc267fc06df43c318a4ec5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 01:54:30 2017 +0000

    read -t 2

commit 6cf0496d16f2cb55174dd70fe8889fac7d47f4b5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 01:52:59 2017 +0000

    read -r

commit b2627d8f09e48082efedaa3c95141f5545b6a075
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 01:51:29 2017 +0000

    fix root detection and folder adjustment

commit 74dbb83b209745f708953cb26ca93b1fa4ca32eb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 6 02:09:17 2017 +0000

    bumped changelog version

commit 5a911e3bf95feea66f8603dfadf2f2b7d4ac3d32
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 3 21:09:59 2017 +0100

    fix permission issue resulting from requirement to run tb-updater as root
    
    from postinst since Debian stretch
    
    refactor settings detection code to make it more understandable
    
    This also prevents /home/user/.cache being owned by root, which causes various
    follow up issues such as a broken KDE kickoff (start menu).
    
    https://forums.whonix.org/t/whonix-13-0-0-1-4-developers-only

commit 8cd410bc93ef9d859dc22340804ff864a21d39e1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 14:33:10 2017 +0000

    bumped changelog version

commit 061716fe2307b6dfd5449c44e8bb0c81539fc716
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 14:26:37 2017 +0000

    no longer run under user 'user' in postinst, run as root
    
    because running as user 'user' is broken in Debian stretch

commit e5e05f5aaeeb001e2563002a716d37f824e73108
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 15:36:24 2017 +0000

    bumped changelog version

commit bc9708dd49038c9bdc82a09deaa39a38c93b488f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 08:35:42 2017 +0100

    packaging, bumped Standards-Version from 3.9.6 to 3.9.8 for jessie support

commit 583390bc4b10daf92cdc34c18a548dd5cc6a9762
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 12 02:57:27 2017 +0000

    bumped changelog version

commit 2eff88c90682e8a5266b440b4a2f6ef08aa6b2ac
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 19 05:13:09 2016 +0100

    fix, if is_chroot=true, set qubes_vm_type="TemplateVM"
    
    https://github.com/QubesOS/qubes-issues/issues/2520#issuecomment-267877209

commit 200cccd35d19a2a2eaf22ebc48295f3301754a41
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 16 17:28:08 2016 +0000

    bumped changelog version

commit 0d2a7aa09217e2e292a625695bcf7f2c6870c688
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 16 17:15:49 2016 +0000

    fix, set tb_install_in_chroot=true only if is_chroot=true

commit 76508964b32830f0b45dea02dbf1f0ce7fe31f1b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 16 17:00:45 2016 +0000

    pass environment variable tpo_downloader_debug in postinst to update-torbrowser

commit ac745ce78f6667ebec6c941fc983af8fb537b793
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 16 16:19:07 2016 +0000

    bumped changelog version

commit 0fdd2c7f34fd117f19a18e58da2e8694b00ca944
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 14 18:59:56 2016 +0000

    debugging, add info if chroot is detected

commit 06866ec94d1e0aa20cf6c6d83ce8f04d57487b68
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 14 18:56:57 2016 +0000

    tbb_hardcoded_version="6.0.8"

commit e1ded53820d7e889a60e5813aee7122eb6e57258
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 14 18:55:34 2016 +0000

    set -x if tpo_downloader_debug greater or equal 1

commit 46de8e4458aae98b0d6584f3fb6361f78d0076e8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 14 18:51:47 2016 +0000

    set -x in postinst when DEBDEBUG is greater or equal 1

commit a5cd04dfa079c6bcd4c319d4b512df98ae62f0eb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 14 18:48:46 2016 +0000

    ischroot --default-false
    
    https://github.com/QubesOS/qubes-issues/issues/2497

commit 570ec9cab89353eacbf457e819e416831949e5e3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 14 18:07:00 2016 +0000

    prefer Qubes VM type detection without using qubes-db to fix upgrade issue
    
    https://github.com/QubesOS/qubes-issues/issues/2497

commit be4e762d0cc2a7bd9b2ad5efbc7031476c42f4a6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 14 18:46:19 2016 +0100

    fix set tb_user_home="/var/cache/tb-binary" only when running in Qubes TemplateVM
    
    same for tb_auto_set_user_home_msg

commit 7fa1306cfce6a415cd2dc5bf3eb956d58ed0f2d4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 10 02:33:27 2016 +0000

    bumped changelog version

commit a5bed7790f2da34c9843869b0dd43f59fad0b769
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 9 22:14:40 2016 +0000

    always show all available release channels versions
    
    (remove --alpha, --beta, --rc, --hardened, --sandboxed switches)
    
    For reasoning, see:
    https://forums.whonix.org/t/tb-updater-experimental-alpha-beta-rc-hardened-options

commit 8fe2d4ce0dadeaf1aea546b13adc2a2896f71674
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 4 00:18:50 2016 +0000

    fix --alpha, --beta, --rc
    add --hardened, --sandboxed
    
    https://forums.whonix.org/t/tb-updater-experimental-alpha-beta-rc-option

commit 099d7604b174ca4acb217b8d044a92e6bd73df97
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 2 16:16:21 2016 +0100

    tbb_hardcoded_version="6.0.7"

commit 93613a1288d6aba9adaf6602ccad5f5765983046
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 22 04:06:10 2016 +0000

    tb-updater-first-boot.service ConditionPathExists=!/var/run/qubes/this-is-templatevm

commit 46950c7ec4beefa1dbf32d5232aeb46f77b24dd9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 21 17:43:26 2016 +0000

    readme

commit 2f018a9b277974addbe4250386162b677898f662
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 20 22:12:24 2016 +0000

    tbb_hardcoded_version="6.0.6"

commit 9c976605fbeae0ad803e6b2026a347be03fc5bfe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Oct 7 22:43:31 2016 +0000

    delete no longer used signing keys
    
    - erinn.asc
    - sebastian.asc

commit c8d695b20cc62547111c8661c1c4184dd5b0c108
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 8 00:37:42 2016 +0200

    update signing key tbb-team.asc
    
    (same fingerprint, new subkeys)

commit 54f37aabea5150472b8714141755747a34bbb2a8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 21 22:26:37 2016 +0200

    tbb_hardcoded_version="6.0.5"

commit 1d391bb12c73351a940c39b20c8d17149a19a84a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 30 21:14:24 2016 +0000

    sudo --non-interactive
    
    https://phabricator.whonix.org/T549

commit ee670a1bd3edb25451e1a1ee352deb187b09b5a3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 26 21:36:46 2016 +0200

    port Tor connectivity test to check_tor_circuit_established

commit 067be6d6269471d4318b3e87a702837562a6da82
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 17 11:57:58 2016 +0000

    tbb_hardcoded_version="6.0.4"

commit 4f6876069a73f14b3bb12e9c4a037352d7eee419
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 15 22:51:53 2016 +0000

    update to new shasums file location
    
    sha256sums-unsigned-build.txt(.asc)
    
    torproject.org's redirects are still functional, but long term better to
    update to new location.

commit 52abd44f572d0ea1eceb4d82d789da0cd722e449
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 15 22:21:34 2016 +0000

    install Tor Browser by default failing closed

commit 1000e0c38f86107e7496ca3b5ffd201ec9b8b79c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 3 18:26:58 2016 +0200

    tbb_hardcoded_version="6.0.3"

commit 185e1a4f467cea0233dd11d201d66fcd213b0e4d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 29 15:53:16 2016 +0000

    implicitly set --ordinary when using --resume
    
    XXX: Looks like curl-prgrs does not support '-C -'.
    Therefore also implying '--ordinary' progress bar when
    using --resume.
    
    https://forums.whonix.org/t/tor-browser-download-issues-due-to-connection-interruption

commit 803cf41d88f3101d87ee0aa36f96125aad652541
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 24 12:27:53 2016 +0000

    fix, set CURL_PRGRS_EXEC only in gui mode

commit c5115fb5bcb7595eb0d523dbc6fb925a2e20dbbc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 24 12:14:20 2016 +0000

    implemented --resume

commit 8ffcd778a1d99666086dc1fe0ca0a35bf9a6fe45
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 24 11:45:20 2016 +0000

    fix position of CURL_OPTS
    
    it may not occur after --output
    
    http://forums.whonix.org/t/tor-browser-download-issues-due-to-connection-interruption

commit 4ea87fc2e8e6ea37a160e1a779c517d113217ffa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 23 12:20:25 2016 +0000

    use random socks auth for better stream isolation
    
    on repeated run of tb-updater
    
    https://phabricator.whonix.org/T127

commit 93987f1c9e38f3678a6e5a7d3805af1000521364
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 23 12:04:58 2016 +0000

    allow injecting extra curl options through CURL_OPTS environment variable

commit c2429d2e55f9c78b130a554a17febf86d2d53719
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 23 11:53:17 2016 +0200

    tbb_hardcoded_version="6.0.2"

commit 4c4d9c0fb4114ab243c109b3e51ab95f0ad7cf81
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 23 11:00:35 2016 +0000

    add preparation for download resume support
    
    https://forums.whonix.org/t/tor-browser-download-issues-due-to-connection-interruption

commit 1d264b44c6452428c5cafa1d07f343c46fe58ec4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 21 10:45:58 2016 +0000

    fix lintian warning for previous commit
    
    tb-updater: file-in-unusual-dir var/cache/tb-updater/placeholder
    
    https://forums.whonix.org/t/tb-updater-in-qubes

commit de83d94a16b4554d08e70ad9e868f2aeadeabde9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 21 12:38:27 2016 +0200

    fix tb-updater first boot population service done / lock file mechanism
    
    Thanks to entr0py for the bug report!
    
    https://forums.whonix.org/t/tb-updater-in-qubes

commit 42891a0460c825b923e64187f8900471f4a91355
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 15 21:51:59 2016 +0000

    also source /rw/config/torbrowser.d/*.conf config snippets

commit 40582cb0f85ab03c4355c417ab89ea1e20bab5e9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 8 19:28:53 2016 +0000

    tbb_hardcoded_version="6.0.1"

commit 218dd434ac35f6e15a418013a75ca6d16d739e21
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 4 22:06:53 2016 +0000

    bumped changelog version

commit bf4c90ef3e8b599eea8ab3259f32c98002c5be6e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 4 21:55:12 2016 +0000

    refactoring

commit dd33b036ac8a5c0d0466983ed1e6c52ae1684eda
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 4 21:47:44 2016 +0000

    advice users who upgraded to delete folders ~/.tb and ~/cache/tb
    
    so the feature
    'up to date versions of Tor Browsers in newly created AppVMs inherited from updated TemplateVMs'
    works
    
    https://phabricator.whonix.org/T417

commit a7d5e57884ced88f9dc7a733638312e94d135870
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 30 00:33:51 2016 +0000

    made download timeouts configurable

commit 38881d0ee10a62182637a632c4dba48ee717ac88
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 30 00:26:03 2016 +0000

    comment

commit 0991750e8255fb80d94b9cb41249fadbd2c2753c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 30 00:13:46 2016 +0000

    re-added Qubes specific notice

commit 90bc9f530ec132255248509095b664540acf1527
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 30 00:08:10 2016 +0000

    output

commit 5424e6bad9175dc5fc917865792a649f6450e604
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 30 00:06:03 2016 +0000

    - no gui popups when run from terminal
    - no longer show file names during extraction, too verbose
    - output

commit aec876116f900c6450325f5896b09349a92a5e88
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 29 23:14:36 2016 +0000

    On manual run in TempalteVM also store in /var/cache/tb-binary folder.
    
    So up to date versions of Tor Browsers in newly created AppVMs inherited
    from updated TemplateVMs.
    
    https://phabricator.whonix.org/T417

commit 0f116907a9911161e4ae9837a2f1766c674313c4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 30 00:28:45 2016 +0200

    INFO: Hardcoded version $tbb_version chosen.
    
    https://phabricator.whonix.org/T417

commit 113504cdb78d225cd20bbdff28ec545395111e9b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 29 01:05:51 2016 +0000

    tbb_hardcoded_version="5.5.5"

commit 522f3797da9e4d605559d90f394b91fe0e65fc67
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 27 19:00:21 2016 +0000

    bumped changelog version

commit 1620a4361ca719089be43bb717dcbd4536198e10
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 26 05:19:51 2016 +0000

    Preventing race condition with user start through start menu.
    
    https://phabricator.whonix.org/T417

commit 9f630039340503a0d7814f1a5d7754a6167d4c47
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 25 23:27:59 2016 +0000

    bumped changelog version

commit f533c9e554e4b9d072567824c79ba54c95f2c5c8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 20 04:18:04 2016 +0000

    no longer mention timesync

commit 134e377b71ab0130e52e36b7a2de644878bdf822
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 20 02:00:07 2016 +0000

    bumped changelog version

commit 37bb06ec818997dec7afcdd474a36d6923f6a69a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 20 01:55:29 2016 +0000

    disable debugging

commit 34ecf567586ecc5de45e3b3fd3c33247ddb42c75
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 20 01:37:23 2016 +0000

    bumped changelog version

commit 988c9ad04beac3c688f89097ae2233b45d1d508d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 20 01:34:53 2016 +0000

    Fix: `export` variable TB_USE_MSGCOLLECTOR so it can be read by CURL_PRGRS.
    
    This is required, because inside chroot, msgdispatcher will not be running.

commit f68c9c5953a15bf4360ecd1409b4a83a71f4f876
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 20 01:17:32 2016 +0000

    fixed --ordinary progress bar

commit 4aacb805a4b33d754c8fbd919fe07afed8dc08c0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 20 00:51:09 2016 +0000

    bumped changelog version

commit 269ba646ef94cd631100947bfbde6a68dec6835f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 20 00:50:42 2016 +0000

    fix when running inside chroot

commit 3456ddd810aa9d99f91406902e4a9a92538e73c8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 20 00:09:34 2016 +0000

    bumped changelog version

commit 63889abbb2502357a3f4895c47bfe7455efbcd03
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 20 00:07:41 2016 +0000

    comment

commit 78c679a0c13bce7276225b431da19f7683115157
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 20 00:04:27 2016 +0000

    improved error handling

commit cd4894518e7eb90738e3e4fa72a7a914b51de8b9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 14 21:14:49 2016 +0000

    bumped changelog version

commit 872e47e5593efe27fd1b605daa4bca6a9e5ad753
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 9 02:19:57 2016 +0000

    delete old tarballs after extraction to save space

commit d6ad25be17a210a094bc8d5fca7a48e7825efb7a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 9 01:28:41 2016 +0000

    fix

commit e9469d65c457dec971a2ce31521f1707a7d69deb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 8 21:03:55 2016 +0000

    moved hardcoded version for postinst into its own file for easier maintenance
    
    /usr/share/tb-updater/tbb_hardcoded_version
    
    https://phabricator.whonix.org/T417

commit 6b1f9b3e08e6d4d8e113161f5f42f74330b3c0da
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 7 22:54:49 2016 +0000

    bumped changelog version

commit 71498eb64e67d65e3adb7c5985e2ac0b7a183976
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 5 15:28:59 2016 +0000

    skip Tor connectivity check if variable CURL_PROXY is empty
    
    (which would mean Tor would not be used anyhow, hence no need to test it)
    
    aids running update-torbrowser outside of Whonix
    
    (so --no-tor-con-check does not have to be used)

commit 26172f8d132cb059fa5fb7584fb99feabcbfb7fb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 31 20:56:40 2016 +0000

    upgrade from curl usage from --tlsv1 to --tlsv1.2
    
    https://phabricator.whonix.org/T489

commit d894a7b2ef5ba1d13b673bbb216b237be9b127b9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 29 22:49:30 2016 +0000

    use more appropriate marker file /usr/share/whonix/marker

commit 134a15b2bb03c97a02a3a96bc290668121ecfe02
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Mar 30 00:43:17 2016 +0200

    use more appropriate marker file /usr/share/anon-dist/marker

commit 42045ebcbed19241d97691293ddcdedcfe622f8a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Mar 19 18:32:40 2016 +0000

    tbb_version="5.5.4"

commit 9a3d8fecdb0f31df484c1b3ccc75e0cdd492dcc2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Mar 19 19:26:27 2016 +0100

    use Qubes updates proxy in Qubes TemplateVMs
    
    https://phabricator.whonix.org/T477

commit cb534ab67a31a681ce9e7b1e96dee7e3181c743e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 8 03:28:56 2016 +0000

    comment

commit 303d710998552ec943ace662f81469447cd98328
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 8 03:27:14 2016 +0000

    readme

commit 7b4edb93358a683d73e63f2aef687b1a8ba3ba48
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 8 03:26:21 2016 +0000

    readme

commit dad1dbdde1ad82016e6b0e4fddc1f725a92c374d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 8 03:25:43 2016 +0000

    readme

commit 9e2f6a794ac84f22e4897bcca93fb1406da71c6e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 8 03:25:00 2016 +0000

    readme

commit bb34f2bf5d420a9a4a42f54471666742be14520c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 8 03:23:59 2016 +0000

    updated package description

commit 1b55e2cf535e3f7eb8dde0c7c1aa7fae52aeb2f3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 8 03:08:05 2016 +0000

    updated package description

commit b722bec38aaa0282b2e627495c2f4c18012f24e9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 8 03:05:10 2016 +0000

    updated package description

commit 0c26480f9fa684ee741ea303b1ab5bf9a29c2293
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 8 02:54:49 2016 +0000

    updated tbb_version

commit 2324576595df433cd6614d591f777ec9e7244bde
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 8 02:40:03 2016 +0000

    systemd packaging
    
    https://phabricator.whonix.org/T417

commit b51d4580dc2f056e78ea7d83a65d0dd2f763c492
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 8 02:22:32 2016 +0000

    work on up to date versions of Tor Browser in newly created AppVMs
    
    https://phabricator.whonix.org/T417

commit 87dd3d3b092053861c3f054fe5d03a9ece9f79cd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 6 22:44:11 2016 +0000

    skip downloading version file, if tbb_version has been manually configured

commit e3c3b0b816cba1a65992b8810517f9f2c76b181e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 6 22:37:39 2016 +0000

    avoid requirement for sudoers exception thanks to suggestion by @marmarek ;
    work on up to date versions of Tor Browser in newly created AppVMs
    
    https://phabricator.whonix.org/T417

commit b2b79121d7149d09ce7d5d20dec766e231db4223
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 6 16:27:10 2016 +0000

    work on up to date versions of Tor Browser in newly created AppVMs
    
    https://phabricator.whonix.org/T417

commit b74b62f5a70d335629d4913b49ea220369f32ddb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 5 23:56:16 2016 +0000

    output

commit cbdb6924e6deeae1381e8e4c3a6812ba71bacd46
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 5 23:19:46 2016 +0000

    work on up to date versions of Tor Browser in newly created AppVMs
    
    https://phabricator.whonix.org/T417

commit 8b164c8326e609e339a32020770ccecd599f9384
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 5 15:22:02 2016 +0000

    added --postinst switch
    
    https://phabricator.whonix.org/T461

commit ece21b70f9d8c7ff100befaae76431bd045f96ce
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 5 15:20:04 2016 +0000

    removed deprecated option --clearnet
    
    (can be configured through environment variables)

commit 9ec1b0d130154f8cc1abee865dc72c872c2d4fb1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 5 15:18:04 2016 +0000

    added postinst script so chroot-script anon-shared-build-inst-tb can be removed
    
    https://phabricator.whonix.org/T461

commit 3e5ba19798382dec216463400e224ad4cac79756
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 5 15:15:52 2016 +0000

    failing open (exit 0), when $anon_shared_inst_tb = open

commit 9ebafcda14eec30b3b36bb6f5fda00aa1b811f81
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 5 15:09:12 2016 +0000

    refactoring
    
    https://phabricator.whonix.org/T461

commit e2416098b64083e7079d40486a6769f309f82523
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 5 14:20:08 2016 +0000

    fix

commit 1c85166a20af638ceab25900fb75b9f62a9645d7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 15 23:24:33 2015 +0000

    allow storing downloaded archives in arbitrary folders
    
    https://phabricator.whonix.org/T417

commit c2fae47447c81ed441b1402eaa024b59c7dc8a9c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 8 21:33:30 2015 +0000

    output, fixed 'stay tuned' link

commit 709efa23c9ae210da76a5b1ee3c7bf4960d09497
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 1 21:27:59 2015 +0000

    native Qubes support;
    fixed config file parser if config folder does not exist

commit 9e4785ca0df87a597709622ae7c549f7c5daa0f3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 30 20:01:56 2015 +0000

    local

commit 9ee254e4ab2deabe85953ba00f5dd4e829545cfa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 30 19:38:23 2015 +0000

    Only source configuration files that end with the '.conf' extension.
    
    Thanks to @nrgaway for the suggestion!
    
    https://phabricator.whonix.org/T286

commit ab3d60d58ab1e2ae87b1ecbe68d2b2e9a4147177
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 22 22:12:12 2015 +0000

    no longer depend on /var/run/qubes-service/whonix-template
    
    https://phabricator.whonix.org/T432

commit 85769bee93ce9f41955feb8c86ef15f68a72d2ba
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 6 12:00:55 2015 +0000

    bumped changelog version

commit 7d835124fe93451d0fa93cfd0f6631d555bf1c52
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 6 10:54:18 2015 +0000

    - allow downloading TBB hardened
    -- automatically set TB_LANG to "ALL" if tbb_version matches 'hardened'
    - allow manually setting what version should downloaded
    -- through environment variable tbb_version
    -- example: tbb_version=5.5a4-hardened update-torbrowser --no-tor-con-check --devbuildpassthrough

commit 718df3a9ff550b1ca3f653b57657102045a8f8e1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 6 10:26:35 2015 +0000

    - Extract Tor Browser to generic location.
    -- To /home/user/.tb/tor-browser rather than language specific location such as for example /home/user/.tb/tor-browser_en-US.
    -- Simplifies implementation.
    -- Preparation to allow TBB hardened download.
    - Use `bsdtar` rather than `tar`.
    -- Because it can auto detect archive types.
    -- No need to explicitly set --xz when using it in a pipe.
    - refactoring

commit 92b74b3be93b8b5d468309bee7f91bb558d938e5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 22 23:12:40 2015 +0000

    bumped changelog version

commit c572679e11bb87ed7df226d9ae5162c2ed6adc0e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 22 00:20:00 2015 +0000

    add which versions have been detected to output if doing automated installation (during build)

commit 0d6c714f631330256ea948c6d4e32425f34b4850
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 22 00:17:33 2015 +0000

    refactoring

commit d5e48a8379bbc10174c48a250b4b704d0baf64b0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 13 10:05:37 2015 +0000

    A Qubes TemplateVM specific notice has been added to Tor Browser Downloader (Whonix)'s update confirmation screen. - https://www.whonix.org/forum/index.php/topic,1381.msg10177.html#msg10177

commit 20c9ccc7ff20cd3d4c1885c9583a9dd579e301d5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 13 09:54:13 2015 +0000

    updated usr/share/tb-updater/test-script

commit 3da415527e8db03b2bb36a694091f30f98b117f8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 13 09:52:36 2015 +0000

    not asking to start Tor Browser when it has been detected, that Tor Browser Downloader (Whonix) is running inside a Qubes TemplateVM

commit 43e6abd5b89441c68af3c2404a328bf72c0c273c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 13 09:05:31 2015 +0000

    refactoring

commit ca29705093cad3f9fc96d73f2a6e9cc5d07ad9f2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 28 13:08:18 2015 +0000

    output

commit 247e8c4c4cd0e7c1828490ed3e5ec9fd19e9a050
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 26 23:32:00 2015 +0000

    bumped changelog version

commit ae368f0541a3676df1e2befa738ed673e4703619
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 26 14:49:15 2015 +0000

    - explain that if users want to keep their user data, they are better off using TBB's automatic internal updater
    - fix if local version detection failed
    - renamed update-torbrowser to torbrowser-downloader

commit fa50399fbd360a744709b53ac2c98f6a039d4929
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 26 13:19:34 2015 +0000

    removed broken local version detection code due to upstream changes

commit b12bddaa34483aae0ece31182b1ca1b98a988fa0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 26 13:14:07 2015 +0000

    cleanup:
    - deprecated tb_patch_version_number_own (no longer reliable, now that Tor Browser can update itself)
    - deprecated tb_patch_internal_updater_disable_maybe (no longer required since there are no more grave security issues with Tor Browser updates)

commit e2f23b7ecf41d5c133c946ddaa6d230d51bbc904
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 25 14:08:24 2015 +0000

    bumped changelog version

commit 71b491cf8f86b6b3947e15b99687b4407dd8da97
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 24 17:47:25 2015 +0000

    bumped changelog version

commit 470c9ed8a1e14fdcf411d7b1f6a8d2c19f13833a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 13 00:16:00 2015 +0200

    code cleanup, removed CI (continued integration) workarounds, too many of them were required, often broken anyhow

commit e484db498d5cdda12e552fdca09b47d7904f6dd8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 12 06:54:24 2015 +0200

    don't show progress bars when run from console; refactoring; minor output

commit a14e262d6418fc129252b7d3a9f0a783e4713b1c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 12 06:10:51 2015 +0200

    minor output

commit c001080103c8f28063b0259f5443a4a63dee556b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 12 06:07:20 2015 +0200

    minor output

commit c09197a972eb5c873011bcfb915099e36bd7cdb9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 12 06:06:53 2015 +0200

    refactoring

commit 6e919a326bea5e21d3cee5bfd7efa884e31edde7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 29 19:01:54 2015 +0200

    changed default data dir to ~/.tb and cache dir to ~/.cache/tb - https://phabricator.whonix.org/T338

commit e90f928ebcbf7f25db0493de55900ce0325fa4ec
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 23 14:19:15 2015 +0200

    fix, added missing build depends ruby-ronn (required for man page creation)

commit 5868e3035edd3099f49610e06087f601373dfb93
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 23 14:16:06 2015 +0200

    improved handling in case of download failiures and better output

commit 3b2811ed97e2430f4183aadf8b8d53818ed9fe34
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 10 18:41:55 2015 +0000

    fix, if download fails, notify about failed file download rather than failed hash check; refactoring, deprecated tb_download_loop

commit 0e5d47f14d2271b4d1aaa9aa33a91c452b4e6279
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 10 18:04:07 2015 +0000

    refactoring, made "$tb_home_folder/tor-browser_$TB_LANG" a variable tb_browser_folder, useful for later moving of the Tor Browser folder to a more appropriate location - https://phabricator.whonix.org/T338

commit 1db6d4b12c64b76b8888851f6a98b886efb4bc65
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 6 15:05:14 2015 +0000

    added currently installed version to cli output

commit 274bb4ee047c27f2687c8386338b22036d351eb6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 27 13:50:08 2015 +0000

    self document / advertise --no-tor-con-check feature

commit e2f7ce58f3f9eddad605170b3cadd21c07cde839
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 27 13:45:31 2015 +0000

    added begin and end of extraction to output in cli

commit b8e5ba06c75b56dd3ad01a02f833affa4fce6135
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 27 13:39:19 2015 +0000

    added link to download/installation documentation also to cli output

commit dcb157c60110a65f3587cc66169ca6d57888e367
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 9 11:07:41 2015 +0000

    bumped changelog version

commit 285cb5c0ed3bb77c1f9d6a4c3e01a62b1fc7a650
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 9 11:06:47 2015 +0000

    output: improved message in case hash verification failed

commit 8bde33c9df4f998c3eddaea3b35bf150c4453014
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 3 15:00:22 2015 +0000

    bumped changelog version

commit a769ce59db16a2228a31aa7ef5db8252524f19cd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 15 20:30:15 2015 +0000

    bumped changelog version

commit 818ce87fa25bc4f3e26dd034b0d652bc1b4b8a2b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon May 4 20:14:17 2015 +0000

    tbbversion_installed parser fix

commit 34703c7c04f9addeb8b6e2db8f42f4d7ae7f091f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat May 2 15:33:11 2015 +0000

    bumped changelog version

commit 3d918dbb165a803f9a751100808dec4f14555e31
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat May 2 15:32:40 2015 +0000

    fix

commit 88611b7bbf05d7b6aeea5cf72c6ccca88e5cd849
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 30 17:56:56 2015 +0000

    bumped changelog version

commit cf6317bcea4d297ad3e98cf18ecfa84722918b50
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 28 15:43:55 2015 +0000

    added 'Keywords=' to '.desktop' files to fix lintian warning 'desktop-entry-lacks-keywords-entry' - https://phabricator.whonix.org/T281

commit 2963ae3591465e2cc770345c384f364abf2b7e82
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 28 13:43:26 2015 +0000

    added debian/source/lintian-overrides with debian-watch-may-check-gpg-signature to fix lintian warning - https://phabricator.whonix.org/T277

commit 4aa6c996e972cf374ece96b785eb5d132618800a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 27 17:35:17 2015 +0000

    - tb-updater: show "highest version number is not necessarily the best one" message also on first run if no Tor Browser is installed yet - https://phabricator.whonix.org/T283

commit 86017a6c02cda7a6e26769a734c224d618a1d35e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 26 23:16:15 2015 +0000

    packaging, bumped Standards-Version from 3.9.4 to 3.9.6 for jessie support

commit 8fa1d488f9c5448b367afe7947eba2838a3ef7a4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 15 20:28:59 2015 +0000

    bumped changelog version

commit c0f0b0e2d86e0d5301b44a171faba1a5187c522f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 15 20:28:27 2015 +0000

    fix

commit 7b3eed0d6ae2b1066cba5172473f1c0aab9d671a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 7 17:42:52 2015 +0000

    bumped changelog version

commit bc318ba4255c41d244c27ce21685927ce6dd9e34
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 18:41:27 2015 +0000

    added genmkfile to Build-Depends

commit c868445b0800a5754f809cb2fcef6d9a1f124d02
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 17:45:01 2015 +0000

    updated debian/rules for makefile generic to version 1.5

commit 2e931564d1369e7c63dd36546bba56824c3cf5f2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 17:24:48 2015 +0000

    updated makefile generic to version 1.5

commit 5269eca39da11a2cbb3a9a5e190a1eb37ddb3f63
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 17:07:57 2015 +0000

    removed deactivation of TBB internal updater for TBB versions equal or higher than 4.5 because upstream fixed the security issue - https://phabricator.whonix.org/T105

commit 83c01bb6414e22c097e25e8da06b2f4d84c3ffb4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 31 10:26:05 2015 +0000

    added xz-utils to Depends:

commit aa206f3bea5e67b6e739bee0f65a0d2290c3a79b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 17:36:55 2015 +0000

    bumped changelog version

commit e3a166d6c9560a13e6ac853facf9325b3d756d33
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 17:26:52 2015 +0000

    updated makefile generic to version 1.4

commit 11cb4ce6a867abcb4c2789078d7b73f99c0d9524
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 23 19:27:09 2015 +0000

    removed duplicate output of gpg_bash_lib_output_gpg_verify_output in terminal

commit a41f640de4655362a4b5601434a2ec115b047da3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 23 16:56:54 2015 +0000

    improved gpg verification

commit bfd6fac5909b3f637a7cf42b3ec1fe8fd408a413
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Mar 22 17:35:39 2015 +0000

    output - tb-updater's download confirmation screen multiple version numbers usability - https://phabricator.whonix.org/T214

commit 468f6e9406ac8dab92fea2568a7a59edd048ab59
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 19 11:41:12 2015 +0000

    improved architecture detection

commit 3d74efe775dd2ae70957377ec2178836eee057b6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 19 11:36:49 2015 +0000

    improved architecture detection

commit eb0bf2b3c4502bfe1d7486037592155e48ea974c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 19 11:35:10 2015 +0000

    refactoring

commit 3a787133683da59145e291c2705e3d9987ece68e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 13 18:02:24 2015 +0000

    output

commit a8fce24a3fa0d0f2b6428c3daeaa6947ad06f494
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Mar 7 03:27:43 2015 +0000

    fix

commit 556eef643d3eabea6082bc83a96be2b3d85c5535
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Mar 7 03:22:09 2015 +0000

    fix

commit 5b4bb78f10e58c4d3c9875e3b55bbbdbf3ff44d3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 6 23:12:43 2015 +0000

    output

commit bf271422e598178d14be2e669c4ea378dca4bfd6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 6 23:07:31 2015 +0000

    fix

commit 243b60da10afe506e34b16a801680209d2e52194
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 5 16:07:37 2015 +0000

    use /usr/lib/msgcollector/br_add - https://phabricator.whonix.org/T216

commit fcb0d7826f17246ce573b9d04392f58a419fd767
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 28 03:36:56 2015 +0000

    cleanup

commit 2ef1798d614f3a5d32d487596e5d0cd018005804
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 28 03:35:40 2015 +0000

    output

commit 5fd1247856f67e0e59fda8f40ee01e62a1a72471
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 28 03:34:46 2015 +0000

    refactoring

commit 7d55bf12c406b9620e4eda4a57bb71fee0229937
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 28 03:29:08 2015 +0000

    output

commit d20bbd7815a0c827318f902433941da44c70e84e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 28 03:27:53 2015 +0000

    output

commit c1f9cd205ca3fab30a70164fb84b7b50095ca826
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 26 21:39:23 2015 +0000

    output

commit 3fc7138e09ce911bbb7f9bfb1c1c91b19c2aaac0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 24 23:05:45 2015 +0000

    update

commit f9146ce45649dc16b87322be3c48374fa93c965d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 24 16:21:39 2015 +0000

    output

commit 1b129ae517507cc2774d2b8a6a77f9589c31beb6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 24 16:18:41 2015 +0000

    update

commit 8b1b441ea08526a1dbf3aa3a9e0b08654b3fd484
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 23 13:08:00 2015 +0000

    output

commit 6c434c0efbff19720b1b63ecbbee475904f12cc1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 23 12:58:25 2015 +0000

    refactoring

commit 70a3a8150a9947d7f296d6b27d7b567e61b842c0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 23 12:56:11 2015 +0000

    fixed --noask

commit d773634c6bdf0a3c3f28ecb4461cbc9d57066138
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 23 12:48:43 2015 +0000

    fix cli

commit be4f82ff95081fe18621bf1e5aaa62f0e5af51ff
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 23 12:41:32 2015 +0000

    fix; output

commit ebd3edb6c7b4124cdbce0a7f1c9b0063d0921525
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 22 18:12:44 2015 +0000

    debugging

commit 8852c4de1e491959f1b0d770bf37e3a9f984584b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 22 18:12:15 2015 +0000

    fix

commit 1a30ac828439dcf92d9d006d695f3ed8805d88d4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 22 13:50:38 2015 +0000

    suggest lowest advertised version number by default because then chances are good, it is a stable and no alpha version - https://phabricator.whonix.org/T130

commit 0a212436a2162bcac91391f8b2aba8cfbd351f14
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 22 12:56:03 2015 +0000

    refactoring

commit 1acc91cab5f9256a34c510be2b06ff553d76749c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 22 12:46:39 2015 +0000

    work on porting to tb_updater_gui https://phabricator.whonix.org/T149

commit e587fdbab6db582e07fa338aef40c53e3ee6aab4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 12 13:59:36 2015 +0000

    new switch --input

commit 8520b854aad0167eb9fae7800dba8334753daf02
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 11 18:16:11 2015 +0000

    added links to download and installation confirmation screen documentation

commit d9a8775a390377066c144db68f459cc4910c04c4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 6 16:19:03 2015 +0000

    output; refactoring

commit a762dfd9950dc816d490adfc986caf5e514c3239
Merge: 711c6b8 2582f6c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 21:12:46 2015 +0000

    Merge remote-tracking branch 'troubadoour/master'

commit 2582f6c29baee9635d49dd0afd1d13b5874aefe9
Author: troubadoour <trobador@riseup.net>
Date:   Wed Feb 4 20:09:47 2015 +0000

    fix HTML

commit 711c6b805d997197246adebda5562985816d55bb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 17:01:59 2015 +0000

    distinct exit codes for each case of abort or failure

commit d040c12085a527f4d39cb1751f2e514642c7ebaa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 12:31:27 2015 +0000

    instead of --socks5-hostname, use more modern --proxy + user:password@ip:port syntax for curl for better stream isolation - https://phabricator.whonix.org/T126

commit 994bbc5275489a412d58e9b2196d4fed55abb2be
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:56:34 2015 +0000

    bumped changelog version

commit 2d8ccab302ac89d9d7bf44c00cd3ac45989e174d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:45:01 2015 +0000

    added changelog.upstream

commit b6cee65e6e4afcc1f5bd5454a66c0a15faa6ca05
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:40:53 2015 +0000

    updated makefile generic to version 1.3

commit 4843936a1064cb6516388a72b3390f67d161bc21
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 3 23:58:55 2015 +0000

    Added creation of upstream changelog to debian/rules

commit 81ca9b29a72be45d5b60ccfe51220b5df5dbb3d7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 3 17:24:50 2015 +0000

    made variable my_tty overruleable

commit 74d813357f4f13a3a66c43933c882fe0a53efca6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 2 19:36:05 2015 +0000

    test script allow passing args

commit 7edfc83efdfdeb8ae41e827d88efdaaa8a283d66
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 2 19:34:04 2015 +0000

    output

commit 34562460c42188eeb55f5aa7981c2a76cec7ae04
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 2 19:33:36 2015 +0000

    refactoring; output

commit 8b825fa2f2ea07e8694502765c533c928021d2e9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 2 19:20:00 2015 +0000

    support running without having X running by reading answers from stdin

commit 43cbd4f002b692905732a5cb56293db15c6fdea7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 2 18:49:47 2015 +0000

    sanity test

commit e729247f862f2e5c717a7b7857a5642c3606de9c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 2 18:40:51 2015 +0000

    fix

commit 3ffc995cee871263b1489f1223ee560e4fdec927
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 2 18:36:13 2015 +0000

    refactoring

commit 3b2bc883470c27ed30537fe4f98f97d387ba7f6b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 2 18:28:49 2015 +0000

    fix

commit 5f5b0bbaf21f323092b918932d1f9add010d954a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 1 22:19:56 2015 +0000

    output extraction progress percent also in stderr

commit a2a52ec6f259c1057b488f9965ca9f907147689b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 1 22:13:31 2015 +0000

    sanity tests

commit 6a07f195d88c850e78d4332af0f7178d8fa82b30
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 1 22:12:20 2015 +0000

    added pv to dependencies

commit 06bbfd8a7501f86fbaa9e8d3b9184f65417958c3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 1 22:10:41 2015 +0000

    refactoring

commit 64f3c322ec02cea88d47482334bccf6073e0189c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 1 22:06:35 2015 +0000

    fix

commit d774e196be05ede36dc4a7292ade031d13ce5933
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 1 22:01:11 2015 +0000

    added progress bar for extraction

commit 310521a04a862f1c2f7b99832e582d6e4f27a378
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 30 20:14:39 2015 +0000

    added gpg-bash-lib dependency

commit 9d6641388d590d977d5f888956c73ae52396a5fd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 22:56:40 2015 +0000

    output

commit 34d733cd294f5f8227b79f37d87948bb2bab3c09
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 22:53:46 2015 +0000

    output

commit 6bc91947631409a3a3523511d5e70678b5148774
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 22:48:22 2015 +0000

    output

commit 70f582202797791b061c0f5d4cc4ff312b8c13a8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 22:46:43 2015 +0000

    output

commit 2b332a386b10360c3f3ebdaffdb0abc391129038
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 22:39:12 2015 +0000

    output

commit f5a6afb66fb6d9ea81188b91a74ebb050fca1308
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 20:31:02 2015 +0000

    output

commit 23d992078cf9ce337f89a7bfda3050909613c77e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 20:25:19 2015 +0000

    added test-script

commit 835b5accb64cf60418115a83fccd288d1d8c0684
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 19:57:34 2015 +0000

    output

commit ffd7ba7226bb759b7c15117dae529f225811fa53
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 19:52:58 2015 +0000

    fix

commit ee172349fc2fb5d42bf57afac4728b4c2be712ef
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 19:20:58 2015 +0000

    fix

commit 20566ba7e1a036e3823b18d33d0dc4a90c10cee9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 19:20:16 2015 +0000

    fix --ordinary

commit 6a6dbd23ce411023a7e98c558ebb1400ba056514
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 19:03:57 2015 +0000

    update

commit f7d1aa302b2d067d041f6c191171f92e76150cf8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 17:30:19 2015 +0000

    use warning sign rather than info sign when Tor Browser is already installed because it will be terminated and moved

commit 47c1f1452670e52e0264bb82162838f58dea3316
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 14:24:41 2015 +0000

    output

commit 2d2fb13a2c05d3f65c1cf8ada010e12e386619fb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 14:22:28 2015 +0000

    if there are multiple versions advertised, show them all inside one line

commit a47241ae153069ce0558c7b5261aca19822123a1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 14:13:52 2015 +0000

    output

commit 345d1d2a519529eeb67f9eaab91e0a3c47c359c1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 14:03:58 2015 +0000

    output

commit c7ed85b1e6e0607c01fa987d18071bfb0cde242f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 14:01:03 2015 +0000

    output

commit eaa391c01257c36e96c84ccaba3b1130630b7fc6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 13:53:23 2015 +0000

    output

commit 6bbc38ebf978d0a36e47a29810f3d8eb65817720
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 12:54:36 2015 +0000

    output

commit a387cb84e21ec254d185dd3d636b58d874cf12f5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 12:51:46 2015 +0000

    output

commit d35c279c3ace1027a089fa716dd9f1d705bd5829
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 12:39:37 2015 +0000

    output: victim -> target

commit 95d0ce13c601cb62d5f70b06dd80eb92d857cfbe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 19:13:16 2015 +0000

    update

commit 347f0d2dc240d8287e9c783e1d1909e4bd66a3a8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 18:49:45 2015 +0000

    update

commit 17d86d2ea0fe304505079770fd3edd0897a8fefe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 18:43:52 2015 +0000

    update

commit de907dbeab861ad4b05f3b68a3c5cac9ce720c17
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 18:29:52 2015 +0000

    update

commit f91ebe09c1e44b6da74cd71dbed6382ed23b2435
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 02:49:11 2015 +0000

    update

commit efedad7a2a886aff6d699da019652411b09fd062
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 24 17:28:11 2015 +0000

    update

commit b94ae64b063a43427985e219182038901e66b3b3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 24 03:59:06 2015 +0000

    output

commit a0aadc030b1bfb83745459a6865a12102443595e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 24 03:54:13 2015 +0000

    refactoring

commit 6f067f7eda100596bf7b526b121b62b974262925
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 24 03:50:25 2015 +0000

    output: removed duplicate "Tor Browser Update Check (by Whonix developers)" because generic_gui_tool correctly shows the window title

commit 3ea910ab5bba4a5cb078d7b95f1a66916ca0756e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 24 03:41:05 2015 +0000

    refactoring

commit 64e5a160b4353450195ab888a7408b97e3da6972
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 24 03:06:53 2015 +0000

    output

commit b7ab03ea51906c2273fe1789aa4161756d373135
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 22 18:29:17 2015 +0000

    output

commit c781c16234f674f692b7b176c7c4d622e8add099
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 21 08:48:14 2015 +0000

    output

commit cdc8a6b87d999b6bb68ac2726a6907e9e2454a7a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 21 08:37:57 2015 +0000

    output

commit 1df33a13f38dc42df5d11120a7c5a58a1b586c5b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 21 08:35:09 2015 +0000

    progress bar for extraction process

commit 35c1cda693bc7fea047f3037493b03e16ee0d28c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 21 07:51:48 2015 +0000

    output

commit 6fd759ca22b6b1253bda1ed078f16c3f7ac4b9ae
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 20 21:20:28 2015 +0000

    fix

commit ed12c6b4a9609c3a157fc5855271696476fc895b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 20 21:17:07 2015 +0000

    unit test

commit 1f58df5d89c7c310db05e9b623d957d51f99597e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 20 21:15:00 2015 +0000

    unit test

commit 3547a23d52e009647419a3fbd10c9bedc71a3a9d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 19 18:52:12 2015 +0000

    maximum 3 download attempts (configurable through variable tb_download_attempt_max)

commit 7e3a1561f20e84cbbdbcb79245e3d7a1b20f5e8a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 19 18:38:18 2015 +0000

    refactoring

commit a36aedd9baffcac035ae79c6f7ee934714999291
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 19 18:36:45 2015 +0000

    fix

commit 3fc2eeac7018265deb29a17d2795d5cbcf6b654b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 19 18:33:32 2015 +0000

    comment

commit 3ca72eb806524a804911b6c82efbb80a4823594a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 19 18:31:30 2015 +0000

    output

commit cf8e8f06c41557c49af921d30bda35f723228ca0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 19 18:30:21 2015 +0000

    refactoring

commit 0428726c0c864d1a3e1b031913ba862a3abbca02
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 19 18:27:23 2015 +0000

    fix

commit e19b77729a88164bd6d9261bcc1be3af9cb62af7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 19 18:23:18 2015 +0000

    refactoring

commit 29450049593d5aecb8d1ffface6aec70b78b98b5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 19 18:22:10 2015 +0000

    refactoring

commit 9b5675adf32115d7d3a14ee525b4229e4d898608
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 19 18:21:16 2015 +0000

    refactoring

commit 4c1554df60277a9b1bcadabd6f9e395005995ed4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 19 18:20:17 2015 +0000

    refactoring

commit 2516fce6b8e484e9d9c1f231a6945beca5f179ff
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 19 18:16:07 2015 +0000

    refactoring

commit d225b51b49f3843250d64be14ec4c7012422328a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 19 18:14:51 2015 +0000

    refactoring

commit 640300692b5c4a75016edf5eaf19d578ce22665d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 19 18:11:45 2015 +0000

    cleanup

commit 06e775d1a092bac6f1308687e4cd64daa9b2f6d1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 19 18:09:35 2015 +0000

    refactoring

commit 0ec299763e7b6384cf102ce4403a31897e366340
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 19 17:50:57 2015 +0000

    compare signature creation date with local clock

commit ec0d58dd968582d406f0a4a196b651ff66f2942a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 19 17:09:25 2015 +0000

    output

commit 9d4da0201609de49afbec7c17d49236f244ee97f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 17 22:56:58 2015 +0000

    fixed changelog

commit 5f9e935f734b31d7130ae47e7f272b0bb0343f63
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 17 17:17:56 2015 +0000

    refactoring

commit 168109870bc1db93344e9c2c17e67635a531a5ca
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 17 06:24:11 2015 +0000

    fix

commit 7e1b18c0e629619430b6f0b8091f2a7f5cb2f26b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 17 06:15:26 2015 +0000

    comment

commit 0a3fa21b9f0c7a2b6c34ecb6d6d389d1ac15cf31
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 17 06:13:26 2015 +0000

    cleanup

commit a614be513f70a992ba08aa2c20030996d76ea1cd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 17 06:05:55 2015 +0000

    output

commit 832bfdfa45ed8013e8e2ad7e2974e7c67ac0a706
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 17 05:21:29 2015 +0000

    cleanup

commit 67907c315922933a71a73d429ed5bf4139c4577a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 17 05:16:34 2015 +0000

    Authenticate file names. This is useful to detect a downgrade or indefinite freeze attack.
    To do this, the sha256sums.txt file needs to be verified using the sha256sums.txt.asc file.
    When that succeeded, the hash for the archive needs to be created and looked up within sha256sums.txt.
    https://phabricator.whonix.org/T98

commit 43d12bc2e9e5788af5d6b7eefb925caa1445d96e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 17 04:13:11 2015 +0000

    refactoring

commit 4f1ca75f2a6a6796ef33b310231c839a78c68773
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 17 03:37:32 2015 +0000

    refactoring

commit 6a633fbc01de56e8a7f54eaeff162da05b09b06d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 17 03:06:29 2015 +0000

    fix

commit d3fc92d010574f06f9db6384231a718a086abfd9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 16 21:41:52 2015 +0000

    Store and show last known signature creation date. - Useful to detect downgrade or infinite freeze attack. - https://phabricator.whonix.org/T96

commit 763fb38964e7c54abc777082747b61a877fc5176
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 16 20:44:10 2015 +0000

    Show when signature way made and ask for confirmation. Useful to detect downgrade or infinite freeze attack. - https://phabricator.whonix.org/T95

commit c231cdcf5eeef2d060e59777b638fa61c8669410
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 16 20:06:25 2015 +0000

    output

commit 88a8556eb9fa292dd78d5d6b0cb334ad9a293bee
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 16 19:31:20 2015 +0000

    ported to gpg-bash-lib - https://phabricator.whonix.org/T88 - https://github.com/Whonix/gpg-bash-lib

commit 0487de3d269ce40e6cc39f288f0abdf7375d1c80
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 13 11:47:44 2015 +0000

    fix

commit acd7e51323989f7cebbefe3b05753dda1299671c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 12 22:20:04 2015 +0000

    refactoring, use errtrace and therefore fewer trap ERR's required - https://phabricator.whonix.org/T48

commit b75855afaea3f6cfeaab62dbe41729c08e126f1c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 12 16:03:25 2015 +0000

    output

commit 21b7b7fae2f8cf4e06bf95d0b8ec1242a9cb7f37
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 12 15:59:43 2015 +0000

    refactoring

commit 1d1665e3dd6ae1c0e5fbbbbbfadd23bf80a90b2b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 12 15:59:11 2015 +0000

    refactoring

commit b58a9320e8c3bda422748249c4ca7bc1ae07d2bb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 12 15:57:15 2015 +0000

    output fix

commit 648b6f763ec6644a7a41c48fe41178db54af9881
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 8 17:31:19 2015 +0000

    comment

commit e0b7eb77264e79c4d07abf60b0b64098ae6978fa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 7 21:17:08 2015 +0000

    output

commit 595219ef4715709d450015ce334f895ec5c0e16f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 7 21:11:00 2015 +0000

    made variable overruleable

commit b65ba8d49bcaa1dbc39712de45b4310b6f3f4e7a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 7 21:10:22 2015 +0000

    refactoring

commit dfddc2e78c5a13e2dd93da2fb8d9043decf3e798
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 7 21:06:25 2015 +0000

    made variable overruleable

commit 3cadd9a903752983839975f7bd86f2f007b32761
Author: Patrick Schleizer <adrelanos@riseup.net>
